<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.CancelSubSettings" Codebehind="CancelSubSettings.ascx.cs" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<table>
    <tr><td colspan="2"><h2>My Account Setup</h2></td></tr>
    <tr><td style="height: 10px"></td></tr>
    <tr>
        <td nowrap="nowrap"><dnn:Label ID="lblMyAccountRegPage" runat="server" /></td>
        <td><asp:DropDownList ID="ddlRegPage" runat="server" DataValueField="TabId" DataTextField="TabName"/></td>
    </tr>

    <tr>
        <td nowrap="nowrap"><dnn:Label ID="lblMyAccountBillingMgrPage" runat="server" /></td>
        <td><asp:DropDownList ID="ddlBillingMgrPage" runat="server" DataValueField="TabId" DataTextField="TabName"/></td>
    </tr>

    <tr><td></td></tr>

    <tr>
        <td><dnn:Label ID="lblCustomLoginPage" runat="server" /></td>
        <td align="left"><asp:TextBox ID="txtCustomLoginURL" runat="server" Width="400" /></td>
    </tr>

    <tr><td>&nbsp;</td></tr>
    <tr><td colspan="2" class="SmithLargeTitle">Show Fields</td></tr>
    <tr><td></td></tr>

    <tr>
        <td><dnn:Label ID="lblShowPayNow" runat="server" /></td>
        <td><asp:CheckBox ID="chkShowPayNow" runat="server"/></td>
    </tr>

    <tr><td style="height: 20px"></td></tr>

    <%--Show Tabs--%>
    <tr><td colspan="2" class="SmithLargeTitle">Show Tabs</td></tr>

    <tr>
        <td><dnn:Label ID="lblShowAddressTab" runat="server" /></td>
        <td><asp:CheckBox runat="server" ID="chkShowAddressTab" /></td>
    </tr>

    <tr>
        <td><dnn:Label ID="lblShowWalletTab" runat="server" /></td>
        <td><asp:CheckBox runat="server" ID="chkShowWalletTab" /></td>
   </tr>

    <tr runat="server" Visible="false">
        <td><dnn:Label ID="lblShowInvoiceTab" runat="server" /></td>
        <td><asp:CheckBox runat="server" ID="chkShowInvoiceTab" /></td>
    </tr>

    <%--<tr>
        <td><dnn:Label ID="lblShowDepositTab" runat="server" /></td>
        <td><asp:CheckBox runat="server" ID="chkShowDepositTab" /></td>
   </tr>
    <tr>
        <td><dnn:Label ID="lblShowInventoryTab" runat="server" /></td>
        <td><asp:CheckBox runat="server" ID="chkShowInventoryTab" /></td>
    </tr>
   <tr>
        <td><dnn:Label ID="lblShowTransactionTab" runat="server" /></td>
        <td><asp:CheckBox runat="server" ID="chkShowTransactionTab" /></td>
   </tr>--%>

    <tr><td style="height: 20px"></td></tr>

  <%--Hide Tabs--%>
   <tr><td colspan="2" class="SmithLargeTitle">Hide Tabs</td></tr>

   <tr>
        <td><dnn:Label ID="lblHidePaymentTab" runat="server" /></td>
        <td><asp:CheckBox runat="server" ID="chkHidePaymentTab" /></td>
   </tr>

   <tr>
        <td><dnn:Label ID="lblHideSubTab" runat="server" /></td>
        <td><asp:CheckBox runat="server" ID="chkHideSubTab" /></td>
   </tr>

     <tr><td style="height: 10px"></td></tr>

</table>

<table>
    <tr align="left"><td><h3>Payment Methods</h3></td></tr>
    
    <tr>
        <td width="300px">
            <asp:Label ID="Label9" runat="server" Text="Master Payment Methods:" CssClass="SmithTitle" />
            <asp:ListBox ID="lstFrom" runat="server" SelectionMode="Multiple" Width="300px" Height="300px" DataSourceID="payMethodListXmlDataSource" DataTextField="text" DataValueField="value"/>
            <asp:XmlDataSource ID="payMethodListXmlDataSource" runat="server" DataFile="Xml/PayMethodList.xml" EnableViewState="False"></asp:XmlDataSource>
        </td>
        <td width="60px" align="center" >
            <asp:LinkButton ID="ButtonAdd" runat="server" OnClick="ButtonAdd_Click" CssClass="dnnPrimaryAction" Text=">>" /><br /><br />
            <asp:LinkButton ID="ButtonRemove" runat="server" OnClick="ButtonRemove_Click" CssClass="dnnPrimaryAction" Text="<<" /><br /><br />
            <asp:ImageButton ID="imgBtnAsc" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/ico_asc.gif" ImageAlign="Top" OnClick="imgBtnAsc_Click" />
            <asp:ImageButton ID="imgBtnDesc" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/ico_desc.gif" ImageAlign="Top" OnClick="imgBtnDesc_Click" />
        </td>
        <td width="300px">
            <asp:Label ID="Label10" runat="server" Text="Selected Payment Methods:" CssClass="SmithTitle" />
            <asp:ListBox ID="lstTo" runat="server" SelectionMode="Multiple" Width="300px" Height="300px" />
        </td>
    </tr>
           
    <tr><td>&nbsp;</td></tr>
</table>
