﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MyInventory.ascx.cs" Inherits="Smith.DNN.Modules.Registration.MyInventory" %>

<link type="text/css" href='<%= ResolveUrl("~/DesktopModules/SmithCommon/css/scDateTime.css") %>' rel="stylesheet" />
<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDateTime.js") %>'></script>

<asp:MultiView runat="server" ID="mvMain">

  <asp:View ID="viewManageInventory" runat="Server">

  <div><h2><asp:Label ID="Label20" runat="server" Text="Inventory Manager" /></h2></div>

  <div class="scux-form">

  <table>
        <tr ID="trDateFilter" runat="server" align="left">
        <td>
             <div style="display:inline-table;">
                Date From:&nbsp;&nbsp;
                 <input ID="txtFromDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                 <script type="text/javascript">
                     $('[id$="txtFromDate"]').datetimepicker({
                         format: 'm/d/Y',
                         timepicker: false
                     });
                </script>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </div>
            <div style="display:inline-table;">
                Date To:&nbsp;&nbsp;
                 <input ID="txtToDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                  <script type="text/javascript">
                      $('[id$="txtToDate"]').datetimepicker({
                          format: 'm/d/Y',
                          timepicker: false
                      });
                 </script> 
            </div>
            &nbsp;&nbsp;&nbsp;&nbsp;
            <asp:LinkButton ID="btnFilter" runat="server" OnClick="btnFilter_Click" Text="Search" CssClass="dnnPrimaryAction" />&nbsp;&nbsp
            <asp:LinkButton ID="btnShowAll" runat="server" OnClick="btnShowAll_Click" Text="Clear" CssClass="dnnSecondaryAction" />
            <asp:Label ID="lblMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" />&nbsp;&nbsp;&nbsp
        </td> 
    </tr>
</table> 

  <table width="100%" class="SmithProdText">     
       
         <tr><td>

    <asp:DataGrid class="SCborder" ID="DataGrid1" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" ShowFooter="True" PageSize="50" GridLines="None"
        OnItemCommand="DataGrid1_ItemCommand" OnItemDataBound="DataGrid1_ItemDataBound" OnPageIndexChanged="DataGrid1_PageIndexChanged" OnSortCommand="DataGrid1_SortCommand" 
        CssClass="scAdminGrid2"
        AlternatingRowStyle-CssClass="alt">
        <PagerStyle Position="TopAndBottom" NextPageText="Next >" PrevPageText="< Prev" cssclass="dnnGridPager" />
       
    <Columns>
        <asp:TemplateColumn HeaderStyle-HorizontalAlign="Center">
            <HeaderTemplate>
                <asp:LinkButton ID="btnFilterDeposit" runat="server" CausesValidation="false" CommandName="filterDeposits" Text="Filter" CssClass="dnnPrimaryAction" />
            </HeaderTemplate>
            <ItemTemplate>
                <asp:LinkButton ID="btnSelectDeposit" runat="server" CausesValidation="false" CommandName="selectDeposit" Text="Select" CssClass="dnnSecondaryAction" />
            </ItemTemplate>
        </asp:TemplateColumn>

        <asp:TemplateColumn HeaderText="Transaction Date" SortExpression="transdate" ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblTransDate" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.transdate")) %>' />
            </ItemTemplate>
        </asp:TemplateColumn>

        <asp:TemplateColumn HeaderText="Deposit #" SortExpression="tranheaderid" HeaderStyle-HorizontalAlign="Center" ItemStyle-CssClass="GridCellsCenter">
            <HeaderTemplate>
                <asp:LinkButton ID="LinkButtonSortTranHeaderID" runat="server" CommandArgument="tranheaderid" CommandName="Sort" Text="Deposit #" /><br />
                <asp:TextBox ID="TextBoxSearchTranHeaderID" runat="server" Width="90px"/>
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblTHID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.tranheaderid")) %>'  />
            </ItemTemplate>
        </asp:TemplateColumn>

        <asp:TemplateColumn HeaderText="Cat1" ItemStyle-CssClass="GridCells">
            <HeaderTemplate>
                 <asp:Label ID="lblCatHeader1" runat="server"  />
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblCat1" runat="server" />
            </ItemTemplate>
        </asp:TemplateColumn>

        <asp:TemplateColumn HeaderText="Cat2" ItemStyle-CssClass="GridCells">
            <HeaderTemplate>
                 <asp:Label ID="lblCatHeader2" runat="server"  />
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblCat2" runat="server" />
            </ItemTemplate>
        </asp:TemplateColumn>

          <asp:TemplateColumn HeaderText="Cat3" ItemStyle-CssClass="GridCells">
            <HeaderTemplate>
                 <asp:Label ID="lblCatHeader3" runat="server"  />
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblCat3" runat="server" />
            </ItemTemplate>
        </asp:TemplateColumn>

        <asp:TemplateColumn HeaderText="Cat4" ItemStyle-CssClass="GridCells">
            <HeaderTemplate>
                 <asp:Label ID="lblCatHeader4" runat="server"  />
            </HeaderTemplate>
            <ItemTemplate>
                <asp:Label ID="lblCat4" runat="server" />
                <%-- <asp:Label ID="lblAmount" runat="server" Text='<%# FormatCurrency(DataBinder.Eval(Container.DataItem, "Amount")) %>' />--%>
            </ItemTemplate>
        </asp:TemplateColumn>
    
        <asp:TemplateColumn HeaderText="Line Total" HeaderStyle-CssClass="GridHeader" HeaderStyle-HorizontalAlign="Center" HeaderStyle-Width="100px" ItemStyle-CssClass="GridCellsRight" ItemStyle-HorizontalAlign="Right">
            <ItemTemplate>
                <asp:label ID="lblExtendedPrice" runat="server" />
            </ItemTemplate>
        </asp:TemplateColumn>
                
    </Columns>
</asp:DataGrid>

        </td></tr>
        
        <tr style="height:20"><td>&nbsp;</td></tr>

    </table>
    </div>
</asp:View>

<%-- Withdrawal - Step 1 --%>

  <asp:View ID="viewWithdrawalStep1" runat="server">

  <h2><asp:Label ID="Label6" runat="server" Text="Make a Withdrawal" /></h2>

 <table ID="tblStep1Msg" runat="server" visible="false">
    <tr><td colspan="4" align="left" height="40px"><asp:Label ID="Label3" runat="server" CssClass="dnnFormMessage dnnFormInfo" Text="Please Select an Item" /></td></tr>
 </table>

  <table>
      <tr>
        <td><asp:Label ID="Label19" runat="server" Text="Details:" CssClass="SmithBold"/></td>
        <td><asp:Label ID="lblTranHeaderID" runat="server" /></td>   
        <td width="60px">&nbsp;</td> 
        <td><asp:Label ID="Label21" runat="server" Text="Transaction Date:" CssClass="SmithProdText"/></td>
        <td><asp:Label ID="lblTranDate" runat="server" /></td>    
     </tr>
</table>

<br />

<table>
    <tr><td>

    <asp:GridView ID="grdWithdrawal" AutoGenerateColumns="False" runat="server" DataKeyNames="ProductID" RowStyle-VerticalAlign="Middle" CellPadding="5" Width="100%"
        OnRowDataBound="grdWithdrawal_RowDataBound" >
           <%-- ShowFooter="True" PageSize="50" CssClass="scux-grid" Width="100%" --%>
       <%-- OnRowCreated="grdWithdrawal_RowCreated" OnRowDataBound="grdWithdrawal_RowDataBound"  OnRowDeleting="grdWithdrawal_RowDeleting" >--%>
        <HeaderStyle CssClass="GridHeader"/> 

        <EmptyDataTemplate>
            <asp:Label ID="Label1" runat="server" Text="No Withdrawals Added." CssClass="SmithLargeText" />
        </EmptyDataTemplate>

        <Columns>
           <asp:TemplateField HeaderText="Select" ItemStyle-HorizontalAlign="Center">
                <HeaderTemplate><asp:Label ID="Label13" runat="server" Text="Select"/>
                    <asp:CheckBox ID="chkSelectAll" runat="server" AutoPostBack="true" OnCheckedChanged="chkSelectAll_CheckedChanged"/>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:CheckBox ID="chkSelect" runat="server"/>
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="TranDetailID" Visible="false" >
                <ItemTemplate>
                    <asp:Label ID="lblTranDetailID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.trandetailid")) %>' Width="35px" />
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="Withdrawal Quantity" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:TextBox ID="txtWithdrawalQuantity" runat="server" Width="60px" />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Current Quantity" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblQuantity" runat="server" Text='<%#Eval("Quantity") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="ProductID" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblProductID" runat="server" Text='<%#Eval("ProductID") %>' />
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="Product Name" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblProductName" runat="server" Text='<%#Eval("ProductName") %>' />
                </ItemTemplate>
            </asp:TemplateField>

         <%--   <asp:TemplateField HeaderText="Other Product Name" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblOtherProductName" runat="server" Text='<%#Eval("OtherProductName") %>' />
                </ItemTemplate>
            </asp:TemplateField>--%>

            <asp:TemplateField HeaderText="CategoryID" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblCategoryID" runat="server" Text='<%#Eval("CategoryID") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Category Name" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblCategoryName" runat="server" Text='<%#Eval("CategoryName") %>' />
                </ItemTemplate>
            </asp:TemplateField>

               <asp:TemplateField HeaderText="AmountNoFormat" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblAmountNoFormat" runat="server" Text='<%#Eval("Amount") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Unit Cost" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblAmount" runat="server" Text='<%# Eval("Amount","{0:f}") %>'/>
                </ItemTemplate>
            </asp:TemplateField>

           <%-- <asp:TemplateField HeaderText="Notes" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblNotes" runat="server" Text='<%#Eval("Notes") %>' />
                </ItemTemplate>
            </asp:TemplateField>--%>

            <asp:TemplateField HeaderText="Line Total" HeaderStyle-CssClass="GridHeader" HeaderStyle-HorizontalAlign="Center" HeaderStyle-Width="100px" ItemStyle-CssClass="GridCellsRight" ItemStyle-HorizontalAlign="Right">
                <ItemTemplate>
                    <asp:label ID="lblLineTotalWD" runat="server" />
                </ItemTemplate>
            </asp:TemplateField>
                
          <%--  <asp:TemplateField ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                        <asp:LinkButton ID="btnDelete" runat="server" CausesValidation="false" CommandName="Delete" resourcekey="Delete" />
                </ItemTemplate>
            </asp:TemplateField>--%>

        </Columns>

    </asp:GridView>

    </td></tr>

<%--    <tr><td>&nbsp;</td></tr>
    <tr><td colspan="3" align="left"><asp:LinkButton ID="btnWithdrawalSelectedItems" runat="server" OnClick="btnAddWithdrawal_Click" CssClass="dnnPrimaryAction" Text="Withdrawal Selected Items" /></td></tr>
    <tr><td>&nbsp;</td></tr>--%>

</table>

<br />

<ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="btnWithdrawalStep1Back" runat="server" OnClick="btnWithdrawalStep1Back_Click" CssClass="dnnSecondaryAction" Text="Back" CausesValidation="false" /></li>
    <li><asp:LinkButton ID="btnWithdrawalStep1Next" runat="server" OnClick="btnWithdrawalStep1Next_Click" CssClass="dnnPrimaryAction" Text="Withdrawal Selected Items" /></li>
   
</ul>

</asp:View>


<%-- Confirm Withdrawal--%>

  <asp:View ID="viewConfirmWithdrawal" runat="server">
 
  <h2><asp:Label ID="lblConfirmTitle" runat="server" Text="Confirm Withdrawal" /></h2>

 <table ID="tblConfirmMsg" runat="server" visible="false">
    <tr><td colspan="4" align="left" height="40px"><asp:Label ID="lblConfirmMsg" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Withdrawl Submitted Successfully" /></td></tr>
 </table>

  <%--Customer Info--%>

<table id="tblCustomerInfo" runat="server" class="tblCustomerInfo" >

    <tr><td class="SmithBold" colspan="3">Customer Info:</td></tr>
    <tr>
        <td width="20px">&nbsp;</td>
        <td>
            <asp:Label ID="lblCustomerID" runat="server" Visible="false" />
            <asp:Label ID="lblFirstName" runat="server" CssClass="SmithProdText"/>&nbsp;<asp:Label ID="lblLastName" runat="server" CssClass="SmithProdText"/> <br />
            <asp:Label ID="lblAddress" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblCity" runat="server" CssClass="SmithProdText"/>&nbsp;&nbsp;<asp:Label ID="lblState" runat="server" CssClass="SmithProdText"/>&nbsp;&nbsp;<asp:Label ID="lblZip" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblCountry" runat="server" CssClass="SmithProdText"/>
        </td>

        <td width="60px">&nbsp;</td>

        <td>
            <asp:Label ID="lblWorkPhone" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblCellPhone" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblEmail" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblDNNLogin" runat="server" CssClass="SmithProdText"/>
       </td>

        <td width="60px">&nbsp;</td>

         <td>
             <asp:Label ID="lblCompanyName" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblOwnerType" runat="server" CssClass="SmithProdText"/>
       </td>
     </tr>
   
</table>

<br />

<table>
 <tr><td>

    <%--Confirm Withdrawal Grid--%>

    <asp:GridView ID="grdWithdrawalConfirm" AutoGenerateColumns="False" runat="server" DataKeyNames="ProductID" RowStyle-VerticalAlign="Middle" CellPadding="5" Width="100%" >
        <HeaderStyle CssClass="GridHeader"/> 

        <Columns>

          <%--  <asp:TemplateField HeaderText="Withdrawal" ItemStyle-CssClass="GridCells">
              <ItemTemplate>
                <%# Container.DataItemIndex + 1 %>
              </ItemTemplate>
            </asp:TemplateField>--%>

            <asp:TemplateField HeaderText="Withdrawal Quantity" ItemStyle-CssClass="GridCellsCenter">
                <ItemTemplate>
                    <asp:Label ID="lblQuantity" runat="server" Text='<%#Eval("Quantity") %>' />
                </ItemTemplate>
            </asp:TemplateField>
        
            <asp:TemplateField HeaderText="ProductID" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblProductID" runat="server" Text='<%#Eval("ProductID") %>' />
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="Product Name" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblProductName" runat="server" Text='<%#Eval("ProductName") %>' />
                </ItemTemplate>
            </asp:TemplateField>

        <%--    <asp:TemplateField HeaderText="Other Product Name" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblOtherProductName" runat="server" Text='<%#Eval("OtherProductName") %>' />
                </ItemTemplate>
            </asp:TemplateField>--%>

            <asp:TemplateField HeaderText="CategoryID" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblCategoryID" runat="server" Text='<%#Eval("CategoryID") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Category Name" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblCategoryName" runat="server" Text='<%#Eval("CategoryName") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Amount" ItemStyle-CssClass="GridCells" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblAmount" runat="server" Text='<%# Eval("Amount","{0:f}") %>'/>
                </ItemTemplate>
            </asp:TemplateField>

           <asp:TemplateField HeaderText="TranDetailID" Visible="false" >
                <ItemTemplate>
                    <asp:Label ID="lblTranDetailID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.trandetailid")) %>' Width="35px" />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Lot #" ItemStyle-CssClass="GridCellsCenter">
                <ItemTemplate>
                    <asp:Label ID="lblTranHeaderID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.tranheaderid")) %>' Width="35px" />
                </ItemTemplate>
            </asp:TemplateField>

           <%-- <asp:TemplateField HeaderText="Notes" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblNotes" runat="server" Text='<%#Eval("Notes") %>' />
                </ItemTemplate>
            </asp:TemplateField>--%>
           
        </Columns>

    </asp:GridView>

    </td></tr>
</table>
<br />
<table ID="tblNotes" runat="server">
    <tr>
        <td><asp:Label ID="Label7" runat="server" Text="Notes:" CssClass="SmithProdText"/></td>
        <td><asp:TextBox ID="txtNotes" runat="server" TextMode="MultiLine" Width="300px" /></td>
    </tr>
</table>

<asp:Panel ID="pnlConfirmBtns" runat="server">

<ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="btnWithdrawalConfirmBack" runat="server" OnClick="btnWithdrawalConfirmBack_Click" CssClass="dnnSecondaryAction" Text="Back" CausesValidation="false" /></li>
    <li><asp:LinkButton ID="btnWithdrawalSubmit" runat="server" OnClick="btnWithdrawalSubmit_Click" CssClass="dnnPrimaryAction" Text="Submit Withdrawal" /></li>
   
</ul>

</asp:Panel>

<asp:Panel ID="pnlConfirmStatusBtns" runat="server" Visible="false">

<ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="btnConfirmStatusRedirect" runat="server" OnClick="btnConfirmStatusRedirect_Click" CssClass="dnnPrimaryAction" Text="Continue" /></li>
   
</ul>

</asp:Panel>


  </asp:View>

</asp:MultiView>


<%--<asp:HiddenField ID="hdCustomerID" runat="server" />--%>

