﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.NewSubscriptions" Codebehind="NewSubscriptions.ascx.cs" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDialog.js") %>'></script>

<link type="text/css" href='<%= ResolveUrl("~/DesktopModules/SmithCommon/css/scDateTime.css") %>' rel="stylesheet" />
<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDateTime.js") %>'></script>

<script type="text/javascript">
	jQuery(function ($) {
	    $('#tabs-demo').dnnTabs({ selected: 1 });
	});
</script>

<script type="text/javascript">

   <%--function confirmDelete()
	{
		var x = confirm("Are you sure you want to delete?");
		if (x)
		{ return true;
		}
		else
		{ alert("Delete cancelled.");
			return false;
		}
	} --%>

	//Called from btnApplyRole in Popup window
	function ApplyRole() {
		var custInfo = document.getElementById("<%=ddlRole.ClientID%>").value + "~" + document.getElementById('<%= chkUseCompanyRole.ClientID %>').checked + "~" + document.getElementById("<%=hdCustomerID.ClientID%>").value;
		//var dnnRole = document.getElementById("<%=ddlRole.ClientID%>").value;
		__doPostBack('ApplyRoleSubmit', custInfo);
	}

	function showApproveDialog() {
		$dlgApprovePopup = new scDialog('#dlgApprovePopup', 420, 320, 'Approve New Member');
		return $dlgApprovePopup.open();
	}

	function showApproveDialogInv() {
		$dlgApprovePopupInv = new scDialog('#dlgApprovePopupInv', 520, 380, 'Approve Invoice');
		return $dlgApprovePopupInv.open();
	}

	function showDenyDialogInv() {
		$dlgDenyPopupInv = new scDialog('#dlgDenyPopupInv', 520, 320, 'Deny Invoice');
		return $dlgDenyPopupInv.open();
	}

	function SelectOneInv(obj) {
		var grid = obj.parentNode.parentNode.parentNode;
		var inputs = grid.getElementsByTagName("input");
		for (var i = 0; i < inputs.length; i++) {
			if (inputs[i].type == "checkbox") {
				if (obj.checked && inputs[i] != obj && inputs[i].checked) {
					inputs[i].checked = false;
				}
			}
		}
	}

	//     //Popup
	//     jQuery(document).ready(function () {
	//         //variable to reference window
	//         $myWindow = jQuery('#myDiv');
	//         //instantiate the dialog
	//         $myWindow.dialog({
	//             height: 220,
	//             width: 340,
	//             modal: true,
	//             position: 'center',
	//             autoOpen: false,
	//             draggable: true, resizable: true,
	//             title: 'Apply Role',
	//             open: function (type, data) {
	//                 $(this).parent().appendTo("form");
	//             },
	//             overlay: { opacity: 0.5, background: 'black' }
	//         });
	//     }
	//        );
	//    $(function () {
	//        $myDiv = new scDialog('#myDiv', 380, 200, 'Change Membership');
	//    });
</script>

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />

<div class="dnnForm" id="tabs-demo">
	<ul class="dnnAdminTabNav">
		<li class="ApproveMembers">
			<a href="#ApproveMembers">Approve New Members</a>
		</li>
		<li>
			<a href="#ApproveInv">Approve Invoices</a>
		</li>
		<li>
			<a href="#ApproveSN">Approve Serial Numbers</a>
		</li>
	</ul>

	<%--*** Approve Members ***--%>
	<div id="ApproveMembers" class="dnnClear">
		<div class="dnnLeft" style="width:100%;">

			<table cellpadding="5">
				<tr height="35px"><td colspan="2"><span class="SmithText16">Approve New Members</span></td></tr>

				<tr align="left">
					<td colspan="2">
						<div style="display:inline-table;">
							Date From:&nbsp;&nbsp;
							 <input ID="txtFromDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
							 <script type="text/javascript">
								 $('[id$="txtFromDate"]').datetimepicker({
									 format: 'm/d/Y',
									 timepicker: false
								 });
							</script>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						</div>
						<div style="display:inline-table;">
							Date To:&nbsp;&nbsp;
							 <input ID="txtToDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
							  <script type="text/javascript">
								  $('[id$="txtToDate"]').datetimepicker({
									  format: 'm/d/Y',
									  timepicker: false
								  });
							 </script>
						</div>
					</td>
				</tr>
				<tr><td></td></tr>
				<tr>
					<td colspan="3">
						<asp:TextBox ID="txtSearch" runat="server" Width="250px" />&nbsp;&nbsp
						<asp:LinkButton ID="btnFilter" runat="server" OnClick="btnFilter_Click" Text="Search" CssClass="dnnPrimaryAction" />&nbsp;&nbsp
						<asp:LinkButton ID="btnClearFilters" runat="server" OnClick="btnClearFilters_Click" Text="Clear" CssClass="dnnSecondaryAction" />
					</td>
				</tr>
			</table>

			<asp:Label ID="lblMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" />


			<table width="100%" cellpadding="0" cellspacing="0">
				<tr>
					<td align="right">
						<asp:LinkButton ID="btnDeleteSelected" runat="server" CausesValidation="false" OnClick="btnDeleteSelected_Click" OnClientClick="if (!confirm('Are you sure you want delete?')) return false;" CssClass="scMyAcctBtn" Font-Underline="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/delete.png") %>' />&nbsp;<%= Localization.GetString("btnDelete.Text", LocalResourceFile)%></asp:LinkButton>
					</td>
				</tr>
				<tr><td>

					<asp:GridView ID="grdCustomer" runat="server" DataKeyNames="CustomerID" AutoGenerateColumns="false" AllowSorting="true"
						Width="100%" GridLines="Horizontal"
						CssClass="scAdminGrid2" AlternatingRowStyle-CssClass="alt"
						OnSorting="grdCustomer_Sorting"
						OnRowCreated="grdCustomer_RowCreated"
						OnRowDataBound="grdCustomer_RowDataBound">

						<Columns>
							<asp:TemplateField ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Center" >
								<ItemTemplate>
									<asp:LinkButton CausesValidation="false" ID="lnkApproveCustomer" runat="server" OnClick="lnkApproveCustomer_Click" CssClass="scMyAcctBtn" Font-Underline="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/check.png") %>' />&nbsp;<%= Localization.GetString("btnApprove.Text", LocalResourceFile)%></asp:LinkButton>
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="CustID" Visible="false">
								<ItemTemplate >
									<asp:Label ID="lblCustomerID" runat="server" Text='<%#Eval("CustomerID") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="PayHistID" SortExpression="PayHistID" Visible="false">
								<ItemTemplate>
									<asp:Label ID="lblPayHistID" runat="server" Text='<%#Eval("PayHistID") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							 <asp:TemplateField HeaderText="Product" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblProduct" runat="server" Text='<%#Eval("ProductName") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							 <asp:TemplateField HeaderText="DNN Login" SortExpression="dnnlogin" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblDNNLogin" runat="server" Text='<%#Eval("dnnlogin") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							 <asp:TemplateField HeaderText="Company" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblCompany" runat="server" Text='<%#Eval("CompanyName") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="First Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblFirstName" runat="server" Text='<%#Eval("FirstName") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Last Name" SortExpression="LastName" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblLastName" runat="server" Text='<%#Eval("LastName") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							 <asp:TemplateField HeaderText="Created" SortExpression="CreateDate" ItemStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblCreateDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"CreateDate")) %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Amount" SortExpression="Amount" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblAmount" runat="server" Text='<%# FormatCurrency(DataBinder.Eval(Container.DataItem, "Amount")) %>' />
								</ItemTemplate>
							</asp:TemplateField>

							 <asp:TemplateField HeaderText="Start Date" SortExpression="SubStartDate" ItemStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblSubStartDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"SubStartDate")) %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="End Date" SortExpression="SubEndDate" ItemStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblSubEndDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"SubEndDate")) %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<%--<asp:TemplateField HeaderText="Cancel Date" SortExpression="CancelDate" ItemStyle-CssClass="GridCells">
								<ItemTemplate>
										<asp:Label ID="lblCancelDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"CancelDate")) %>' />
								</ItemTemplate>
							</asp:TemplateField>--%>

							 <asp:TemplateField>
								<HeaderTemplate>
									<asp:CheckBox ID="chkSelectAll" runat="server" AutoPostBack="true" OnCheckedChanged="chkSelectAll_CheckedChanged"/>
								</HeaderTemplate>
								<ItemTemplate>
									<asp:CheckBox ID="chkSelect" runat="server"/>
								</ItemTemplate>
							</asp:TemplateField>

						</Columns>
						<EmptyDataTemplate>
							<asp:Label ID="lblNoRecordsMsg" runat="server" Text="No Records found." CssClass="SmithProdText" />
						</EmptyDataTemplate>
					</asp:GridView>

			   </td></tr>
				<tr>
					<td align="center" colspan="2">
						<asp:LinkButton ID="lbFirst" runat="server" OnClick="lbFirst_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/first.png") %>' /></asp:LinkButton>
						<asp:LinkButton ID="lbPrev" runat="server" OnClick="lbPrev_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/previous.png") %>' /></asp:LinkButton>
						<asp:Label ID="lblResult" runat="server" CssClass="SmithProdText"/>
						<asp:LinkButton ID="lbNext" runat="server" OnClick="lbNext_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/next.png") %>' /></asp:LinkButton>
						<asp:LinkButton ID="lbLast" runat="server" OnClick="lbLast_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/last.png") %>' /></asp:LinkButton>&nbsp;&nbsp;&nbsp;
						 Records:&nbsp;
						<asp:DropDownList ID="ddlRecords" runat="server" Width="57px" OnSelectedIndexChanged="ddlRecords_SelectedIndexChanged" AutoPostBack="True">
							<asp:ListItem>10</asp:ListItem>
							<asp:ListItem>20</asp:ListItem>
							<asp:ListItem>50</asp:ListItem>
							<asp:ListItem>100</asp:ListItem>
						</asp:DropDownList>
					</td>
				</tr>
			</table>

		</div>
	</div>

	<%--*** Approve Invoices ***--%>
	<div id="ApproveInv" class="dnnClear">
		<asp:Label ID="lblMessageInv" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" />
		<div class="dnnLeft">
            <table>
                <tr>
                    <th style="padding: 6px;">
                        <asp:Label ID="lblApprovedStatus" Text="Status:" runat="server"></asp:Label>
                    </th>
                    <td style="padding: 6px;">
                        <asp:DropDownList ID="ddlApprovedStatus" runat="server" OnSelectedIndexChanged="ddlApprovedStatus_SelectedIndexChanged" AutoPostBack="True">
                        <asp:ListItem Value="-1">All</asp:ListItem>
                        <asp:ListItem Value="0" Selected="True">Pending</asp:ListItem>
                        <asp:ListItem Value="1">Approved</asp:ListItem>
                        <asp:ListItem Value="2">Denied</asp:ListItem>
                        <asp:ListItem Value="3">Cancelled</asp:ListItem>
                        <asp:ListItem Value="4">Voided</asp:ListItem>
			        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <th style="padding: 6px;">
                        <asp:Label ID="lblCategoryInv" Text="Category:" runat="server"></asp:Label>
                    </th>
                    <td style="padding: 6px;">
                        <asp:DropDownList ID="ddlCategoryInv" runat="server" OnSelectedIndexChanged="ddlCategoryInv_SelectedIndexChanged" AutoPostBack="True"></asp:DropDownList>
                    </td>
                </tr>
            </table>
		</div>
		<div class="dnnRight">
			<asp:LinkButton ID="btnShowDenyInv" runat="server" OnClick="btnShowDenyInv_Click" Text="Deny" CssClass="dnnSecondaryAction" />&nbsp;&nbsp
			<asp:LinkButton ID="btnShowApproveInv" runat="server" OnClick="btnShowApproveInv_Click" Text="Approve" CssClass="dnnPrimaryAction" />
		</div>
		<div class="dnnLeft" style="width:100%;">
			<table width="100%" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<asp:GridView ID="grdCustomerInv" runat="server" DataKeyNames="InvoiceID" AutoGenerateColumns="false" AllowSorting="true" Width="100%" GridLines="Horizontal" CssClass="scAdminGrid2" AlternatingRowStyle-CssClass="alt"
									OnSorting="grdCustomerInv_Sorting"  OnRowCreated="grdCustomerInv_RowCreated" OnRowDataBound="grdCustomerInv_RowDataBound">
							<Columns>
								<asp:TemplateField HeaderText="Invoice/Order#" SortExpression="InvoiceNo" Visible="true">
									<ItemTemplate >
										<asp:Label ID="lblInvoiceNo" runat="server" Text='<%# Eval("InvoiceNo") %>' />
                                        <asp:Label ID="lblPayInFull" runat="server" Text='<%# Eval("TotalOccurences") %>' Visible="false" style="color: red;" />
                                        <asp:HiddenField ID="hdnTotalOccurences" runat="server" Value='<%# Eval("TotalOccurences") %>' />
										<asp:HiddenField ID="hdnPayHistID" runat="server" Value='<%# Eval("PayHistID") %>' />
										<asp:HiddenField ID="hdnSubscriptionID" runat="server" Value='<%# Eval("SubscriptionID") %>' />
									</ItemTemplate>
								</asp:TemplateField>
								<asp:TemplateField HeaderText="Product" SortExpression="ProductName" Visible="true">
									<ItemTemplate >
										<asp:Label ID="lblProductName" runat="server" Text='<%# Eval("ProductName") %>' />
										<asp:Label ID="lblProductName2" runat="server" Text='<%# Eval("ProductName2") %>' Visible="false" />
										<asp:Label ID="lblProductName3" runat="server" Text='<%# Eval("ProductName3") %>' Visible="false" />
									</ItemTemplate>
								</asp:TemplateField>
								<asp:TemplateField HeaderText="Contact ID" SortExpression="DNNLogin" Visible="true">
									<ItemTemplate >
										<asp:Label ID="lblDNNLogin" runat="server" Text='<%# Eval("DNNLogin") %>' />
									</ItemTemplate>
								</asp:TemplateField>
								<asp:TemplateField HeaderText="Company Name" SortExpression="CompanyName" Visible="true">
									<ItemTemplate >
										<asp:Label ID="lblCompanyName" runat="server" Text='<%# Eval("CompanyName") %>' />
									</ItemTemplate>
								</asp:TemplateField>
								<asp:TemplateField HeaderText="Created" SortExpression="DateCreated" Visible="true">
									<ItemTemplate >
										<asp:Label ID="lblDateCreated" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem, "DateCreated")) %>' />
										<asp:HiddenField ID="hdnDateStarted" runat="server" Value='<%# loadDate(DataBinder.Eval(Container.DataItem, "DateStarted")) %>' />
									</ItemTemplate>
								</asp:TemplateField>
								<asp:TemplateField HeaderText="Amount" SortExpression="GrandTotal" Visible="true">
									<ItemTemplate >
										<asp:Label ID="lblGrandTotal" runat="server" Text='<%# FormatCurrency(DataBinder.Eval(Container.DataItem, "GrandTotal")) %>' />
									</ItemTemplate>
								</asp:TemplateField>
								<asp:TemplateField HeaderText="Thumbnail" Visible="true">
									<ItemTemplate >
										<asp:Image ID="imgThumbImage" runat="server" ImageUrl='<%# Eval("ThumbImage") %>' Width="100" /><br />
										<asp:Image ID="imgThumbImage2" runat="server" ImageUrl='<%# Eval("ThumbImage2") %>' Width="50" Visible="false" />
										<asp:Image ID="imgThumbImage3" runat="server" ImageUrl='<%# Eval("ThumbImage3") %>' Width="50" Visible="false" />
									</ItemTemplate>
								</asp:TemplateField>
								<asp:TemplateField HeaderText="Select" Visible="true">
									<ItemTemplate >
										<asp:CheckBox ID="chkSelectInv" runat="server" onclick="SelectOneInv(this)" />
									</ItemTemplate>
								</asp:TemplateField>
								<asp:TemplateField HeaderText="Approve/Deny" SortExpression="Approved" Visible="true">
									<ItemTemplate >
										<asp:Label ID="lblApproved" runat="server" Text='<%# Eval("Approved") %>' Font-Bold="true" /><br />
										<asp:Label ID="lblDateApproved" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem, "DateApproved")) %>' />
									</ItemTemplate>
								</asp:TemplateField>
							</Columns>
							<EmptyDataTemplate>
								<asp:Label ID="lblNoRecordsMsg" runat="server" Text="No Records found." CssClass="SmithProdText" />
							</EmptyDataTemplate>
						</asp:GridView>
					</td>
				</tr>
				<tr>
					<td align="center" colspan="2">
						<asp:LinkButton ID="lbFirstInv" runat="server" OnClick="lbFirstInv_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/first.png") %>' /></asp:LinkButton>
						<asp:LinkButton ID="lbPrevInv" runat="server" OnClick="lbPrevInv_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/previous.png") %>' /></asp:LinkButton>
						<asp:Label ID="lblResultInv" runat="server" CssClass="SmithProdText"/>
						<asp:LinkButton ID="lbNextInv" runat="server" OnClick="lbNextInv_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/next.png") %>' /></asp:LinkButton>
						<asp:LinkButton ID="lbLastInv" runat="server" OnClick="lbLastInv_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/last.png") %>' /></asp:LinkButton>&nbsp;&nbsp;&nbsp;
						Records:&nbsp;
						<asp:DropDownList ID="ddlRecordsInv" runat="server" Width="57px" OnSelectedIndexChanged="ddlRecordsInv_SelectedIndexChanged" AutoPostBack="True">
							<asp:ListItem>10</asp:ListItem>
							<asp:ListItem>20</asp:ListItem>
							<asp:ListItem>50</asp:ListItem>
							<asp:ListItem>100</asp:ListItem>
						</asp:DropDownList>
					</td>
				</tr>
			</table>
		</div>
	</div>

	<%--*** Approve Serial Numbers ***--%>
	<div id="ApproveSN" class="dnnClear">
		<div class="dnnLeft" style="width:100%;">

			<table cellpadding="5">
				<tr height="35px"><td colspan="2"><span class="SmithText16">Approve Serial Numbers</span></td></tr>

				 <tr align="left">
					<td colspan="2">
						<div style="display:inline-table;">
							Date From:&nbsp;&nbsp;
							 <input ID="txtFromDateSN" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
							 <script type="text/javascript">
								 $('[id$="txtFromDateSN"]').datetimepicker({
									 format: 'm/d/Y',
									 timepicker: false
								 });
							</script>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						</div>
						<div style="display:inline-table;">
							Date To:&nbsp;&nbsp;
							 <input ID="txtToDateSN" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
							  <script type="text/javascript">
								  $('[id$="txtToDateSN"]').datetimepicker({
									  format: 'm/d/Y',
									  timepicker: false
								  });
							 </script>
						</div>
					</td>
				</tr>
				<tr><td></td></tr>
				<tr>
					<td colspan="3">
						<asp:TextBox ID="txtSearchSN" runat="server" Width="250px" />&nbsp;&nbsp
						<asp:LinkButton ID="btnFilterSN" runat="server" OnClick="btnFilterSN_Click" Text="Search" CssClass="dnnPrimaryAction" />&nbsp;&nbsp
						<asp:LinkButton ID="btnClearFiltersSN" runat="server" OnClick="btnClearFiltersSN_Click" Text="Clear" CssClass="dnnSecondaryAction" />
						<%--<asp:LinkButton ID="btnApproveSN" runat="server" OnClick="btnApproveSN_Click"  Text="Approve New Members" CssClass="dnnPrimaryAction" />--%>
					</td>
				</tr>
			</table>

			<asp:Label ID="lblMessageSN" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" />

			<table width="100%" cellpadding="0" cellspacing="0">
				<tr>
					<td align="right">
						<asp:LinkButton ID="btnDeleteSelectedSN" runat="server" CausesValidation="false" OnClick="btnDeleteSelectedSN_Click" OnClientClick="if (!confirm('Are you sure you want delete?')) return false;" CssClass="scMyAcctBtn" Font-Underline="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/delete.png") %>' />&nbsp;<%= Localization.GetString("btnDelete.Text", LocalResourceFile)%></asp:LinkButton>
					</td>
				</tr>
				<tr><td>

					<asp:GridView ID="grdCustomerSN" runat="server" DataKeyNames="CustomerID" AutoGenerateColumns="false" AllowSorting="true" Width="100%" GridLines="Horizontal"
						CssClass="scAdminGrid2" AlternatingRowStyle-CssClass="alt"
						OnSorting="grdCustomerSN_Sorting"
						OnRowCreated="grdCustomerSN_RowCreated"
						OnRowDataBound="grdCustomerSN_RowDataBound">

						<Columns>
							<asp:TemplateField ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Center" >
								<ItemTemplate>
									<asp:LinkButton CausesValidation="false"  ID="lnkApproveSN" runat="server" OnClick="lnkApproveSN_Click" CssClass="scMyAcctBtn" Font-Underline="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/check.png") %>' />&nbsp;<%= Localization.GetString("btnApprove.Text", LocalResourceFile)%></asp:LinkButton>
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="CustID" Visible="false">
								<ItemTemplate >
									<asp:Label ID="lblCustomerID" runat="server" Text='<%#Eval("CustomerID") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="PayHistID" SortExpression="PayHistID" Visible="true">
								<ItemTemplate>
									<asp:Label ID="lblPayHistID" runat="server" Text='<%#Eval("PayHistID") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="SerialNumberID" SortExpression="SerialNumberID" Visible="false">
								<ItemTemplate>
									<asp:Label ID="lblSerialNumberID" runat="server" Text='<%#Eval("SerialNumberID") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="First Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblFirstName" runat="server" Text='<%#Eval("FirstName") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Last Name" SortExpression="LastName" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblLastName" runat="server" Text='<%#Eval("LastName") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="DNN Login" SortExpression="dnnlogin" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblDNNLogin" runat="server" Text='<%#Eval("dnnlogin") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Company" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblCompany" runat="server" Text='<%#Eval("CompanyName") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Product" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblProduct" runat="server" Text='<%#Eval("ProductName") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Amount" SortExpression="Amount" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblAmount" runat="server" Text='<%# FormatCurrency(DataBinder.Eval(Container.DataItem, "Amount")) %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Serial Number" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblSerialNumber" runat="server" Text='<%#Eval("SerialNumber") %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<%--<asp:TemplateField HeaderText="Create Date" SortExpression="CreateDate" ItemStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblCreateDate" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"CreateDate") %>' />
								</ItemTemplate>
							</asp:TemplateField>--%>

							 <asp:TemplateField HeaderText="Assign Date" SortExpression="DateAssigned" ItemStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblDateAssigned" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"DateAssigned")) %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Anniversary Date" SortExpression="OccurDate" ItemStyle-CssClass="GridCells">
								<ItemTemplate>
									<asp:Label ID="lblOccurDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"OccurDate")) %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<asp:TemplateField HeaderText="Expiration Date" SortExpression="ExpirationDate" ItemStyle-CssClass="GridCells">
								<ItemTemplate>
										<asp:Label ID="lblExpirationDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"ExpirationDate")) %>' />
								</ItemTemplate>
							</asp:TemplateField>

							<%--<asp:TemplateField HeaderText="NewMember" Visible="false">
								<ItemTemplate >
									<asp:Label ID="lblNewMember" runat="server" Text='<%#Eval("NewMember") %>' />
								</ItemTemplate>
							</asp:TemplateField>--%>

							 <asp:TemplateField>
								<HeaderTemplate>
									<asp:CheckBox ID="chkSelectAllSN" runat="server" AutoPostBack="true" OnCheckedChanged="chkSelectAllSN_CheckedChanged"/>
								</HeaderTemplate>
								<ItemTemplate>
									<asp:CheckBox ID="chkSelectSN" runat="server"/>
								</ItemTemplate>
							</asp:TemplateField>

						</Columns>
						<EmptyDataTemplate>
							<asp:Label ID="lblNoRecordsMsg" runat="server" Text="No Records found." CssClass="SmithProdText" />
						</EmptyDataTemplate>
					</asp:GridView>

			   </td></tr>
				<tr>
					<td align="center" colspan="2">
						<asp:LinkButton ID="lbFirstSN" runat="server" OnClick="lbFirstSN_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/first.png") %>' /></asp:LinkButton>
						<asp:LinkButton ID="lbPrevSN" runat="server" OnClick="lbPrevSN_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/previous.png") %>' /></asp:LinkButton>
						<asp:Label ID="lblResultSN" runat="server" CssClass="SmithProdText"/>
						<asp:LinkButton ID="lbNextSN" runat="server" OnClick="lbNextSN_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/next.png") %>' /></asp:LinkButton>
						<asp:LinkButton ID="lbLastSN" runat="server" OnClick="lbLastSN_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/last.png") %>' /></asp:LinkButton>&nbsp;&nbsp;&nbsp;
						 Records:&nbsp;
						<asp:DropDownList ID="ddlRecordsSN" runat="server" Width="57px" OnSelectedIndexChanged="ddlRecordsSN_SelectedIndexChanged" AutoPostBack="True">
							<asp:ListItem>10</asp:ListItem>
							<asp:ListItem>20</asp:ListItem>
							<asp:ListItem>50</asp:ListItem>
							<asp:ListItem>100</asp:ListItem>
						</asp:DropDownList>
					</td>
				</tr>
			</table>

		</div>
	</div>
</div>


<%--*** Role Dropdownlist Popup ***--%>

<div id="dlgApprovePopup" style="display:none">
	<div class="scLeftMargin10">
		<%--<asp:Label ID="lblCustID" runat="server" Visible="false" />--%>
		<table cellpadding="5">
			<tr><td colspan="2" class="Smith18Bold"><asp:Label ID="lblPopupTitle" runat="server" Text="Apply Role To - " /><asp:Label ID="lblPopupTitleCustName" runat="server" /></td></tr>
			<tr><td style="height:5px;"></td></tr>
			<tr id="tr1" runat="server">
				<td nowrap="nowrap"><asp:Label ID="Label3" runat="server" Text="Select Role:"  resourcekey="lblRole"/>&nbsp;&nbsp;</td>
				<td>
					<asp:DropDownList ID="ddlRole" runat="server" AppendDataBoundItems="true"></asp:DropDownList>&nbsp;
					<%--<asp:RequiredFieldValidator ID="rfvRole" runat="server" ControlToValidate="ddlRole" InitialValue="0" Display="Dynamic" ErrorMessage="Please Select Role"/>--%>
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap"><asp:Label ID="Label6" runat="server" Text="Use Company Role:"  resourcekey="chkUseCompanyRole"/>&nbsp;&nbsp;</td>
				<td><asp:CheckBox ID="chkUseCompanyRole" runat="server"/></td>
			</tr>
			<tr><td></td></tr>
			<tr><td align="center" colspan="2"><asp:Button ID="btnApplyRole" runat="server" Text="Apply Role" OnClientClick="ApplyRole()" CausesValidation="false" CssClass="dnnPrimaryAction"/></td></tr>
		</table>
	</div>
</div>

<%--*** Approve Invoices Popup ***--%>
<div id="dlgApprovePopupInv" style="display: none;">
	<div class="scLeftMargin10">
		<table cellpadding="5">
			<tr><td>&nbsp;</td></tr>
			<tr><td colspan="2" class="Smith18Bold"><asp:Label ID="lblPopupTitleInv" runat="server" Text="Are you sure you want to approve application?" /></td></tr>
			<tr><td>&nbsp;</td></tr>
			<tr>
				<td nowrap="nowrap"><asp:Label ID="Label1" runat="server" Text="Billing Start Date:" />&nbsp;&nbsp;</td>
				<td>
					<telerik:RadDatePicker ID="RadDateApproved" runat="server" inputmode="Date" ZIndex="1000000" />
				</td>
			</tr>
			<tr>
				<td nowrap="nowrap"><asp:Label ID="Label4" runat="server" Text="Select Role:"  resourcekey="lblRole"/>&nbsp;&nbsp;</td>
				<td>
					<asp:DropDownList ID="ddlRoleInv" runat="server" AppendDataBoundItems="true"></asp:DropDownList>&nbsp;
				</td>
			</tr>
			<tr>
				<td align="center" colspan="2">
					<asp:LinkButton ID="btnApproveInv" runat="server" Text="Approve Invoice" OnClick="btnApproveInv_Click" CssClass="dnnPrimaryAction"/>&nbsp;
					<asp:LinkButton ID="btnFreeApproveInv" runat="server" Text="Free Approval" Visible="false" OnClick="btnFreeApproveInv_Click" CssClass="dnnSecondaryAction"/>
				</td>
			</tr>
		</table>
	</div>
</div>

<%--*** Deny Invoices Popup ***--%>
<div id="dlgDenyPopupInv" style="display: none;">
	<div class="scLeftMargin10">
		<table cellpadding="5">
			<tr><td>&nbsp;</td></tr>
			<tr><td colspan="2" class="Smith18Bold"><asp:Label ID="Label2" runat="server" Text="Are you sure you want to deny application?" /></td></tr>
			<tr><td>&nbsp;</td></tr>
			<tr>
				<td align="center" colspan="2">
					<asp:LinkButton ID="btnDenyInv" runat="server" Text="Deny Invoice" OnClick="btnDenyInv_Click" CssClass="dnnPrimaryAction"/>
				</td>
			</tr>
		</table>
	</div>
</div>

<asp:HiddenField ID="hdCustomerID" runat="server" />
<asp:HiddenField ID="hdDateApproved" runat="server" />
<asp:HiddenField ID="hdRoleInv" runat="server" />