<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.Confirm" Codebehind="Confirm.ascx.cs" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<script type="text/javascript">
    function ValidateTandCs(source, args) {
        args.IsValid = document.getElementById('<%= chkContact.ClientID %>').checked;
    }

    $(document).ready(function () {

        //#region Hide Customer Info Table if no data was passed from the step1

        var $tblRegInfo = $('#tblRegInfo');

        var $tblRows = $tblRegInfo.find('tr');

        var rowsCount = $tblRows.length;

        $tblRows.each(function (i, row) {
            var $row = $(row);

            var $tblCell = $row.find('td:gt(0)');

            if (!$tblCell.length) {
                rowsCount--;
            }
            else if ($tblCell.text().trim() === '') {
                $row.hide();
                rowsCount--;
            }
        });

        if (rowsCount < 2) {
            $tblRegInfo.hide();
            $('#hdrConfirmTitle').hide();
        }

        //#endregion

    });

</script>

<div>  <%--class="srLeftMargin"--%>

<asp:Label ID="lblStatus" runat="server" EnableViewState="False" CssClass="NormalBold" Visible="false" />

<h4 id="hdrConfirmTitle"><%= Localization.GetString("ConfirmTitle.Text", LocalResourceFile)%></h4>

<table id="tblRegInfo" class="SC-table SC-table-striped">
    <tr runat="server" id="trRegInfoTitle" visible="false">
        <td colspan="2">
            <%--<asp:Label ID="lblRegInfoTitle" runat="server" resourcekey="RegInfoTitle" />--%>
            <asp:Label ID="lblRegInfoTitle" runat="server" Text="Registration Information" CssClass="Smith18Bold" />
        </td>
    </tr>

    <tr runat="server" id="trCompanyName" visible="false">
        <td align="left"><%= Localization.GetString("lblCompanyName.Text", LocalResourceFile)%></td>
        <td align="left"><asp:Label ID="lblCompanyName" runat="server" /></td>
    </tr>

    <tr>
        <td align="left"><%= Localization.GetString("FirstName.Text", LocalResourceFile)%></td>
        <td align="left"><asp:Label ID="lblParentFirstName" runat="server" /></td>
    </tr>

    <tr>
        <td align="left"><%= Localization.GetString("LastName.Text", LocalResourceFile)%></td>
        <td align="left"><asp:Label ID="lblParentLastName" runat="server" /></td>
    </tr>

    <tr runat="server" id="trUserName" visible="false">
        <td ><%= Localization.GetString("UserName.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblUserName" runat="server" /></td>
    </tr>

    <tr>
        <td><%= Localization.GetString("Email.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblParentEmail" runat="server" /></td>
    </tr>

    <tr>
        <td style="width:20%; white-space:nowrap;"><%= Localization.GetString("Address1.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblParentAddress" runat="server" /></td>
    </tr>

    <tr runat="server" id="trCity" visible="false">
        <td ><%= Localization.GetString("City.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblParentCity" runat="server" /></td>
    </tr>

    <tr>
        <td><%= Localization.GetString("State.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblParentState" runat="server" /></td>
    </tr>

     <tr>
        <td ><%= Localization.GetString("Country.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblCountry" runat="server" /></td>
    </tr>

    <tr>
        <td ><%= Localization.GetString("PostalCode.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblParentZip" runat="server" /></td>
    </tr>

    <tr runat="server" id="trWorkPhone" visible="false">
        <td ><%= Localization.GetString("WorkPhone.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblWorkPhone" runat="server" /></td>
    </tr>

     <tr runat="server" id="trCellPhone" visible="false">
        <td ><%= Localization.GetString("CellPhone.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblCellPhone" runat="server" /></td>
    </tr>

    <tr runat="server" id="trHomePhone" visible="false">
        <td ><%= Localization.GetString("HomePhone.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblHomePhone" runat="server" /></td>
    </tr>
</table>

<%--Order Details--%>
<h4><%= Localization.GetString("OrderDetailsTitle.Text", LocalResourceFile)%></h4>

<table class="SC-table SC-table-striped">
    <tr>
        <td><%= Localization.GetString("Product.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblItem" runat="server" /></td>
    </tr>

    <tr runat="server" id="trQuantity">
       <td><%= Localization.GetString("Quantity.Text", LocalResourceFile)%></td>
       <td><asp:Label runat="server" ID="lblQuantity" /></td>
    </tr>

     <tr runat="server" id="trDiscountDesc" visible="false">
       <td><%= Localization.GetString("DiscountDesc.Text", LocalResourceFile)%></td>
       <td><asp:Label runat="server" ID="lblDiscountDesc" /></td>
    </tr>

    <tr runat="server" id="trPrice">
       <td><%= Localization.GetString("lblPriceLabel.Text", LocalResourceFile)%></td>
       <td><asp:Label ID="lblPrice" runat="server" /></td>
    </tr>

    <tr id="trDeposit" runat="server" visible="false">
        <td>
            <b>
                <asp:Label runat="server" ID="lblDepositLabel"></asp:Label>
            </b>
        </td>
        <td><asp:Label ID="lblDeposit" runat="server" /></td>
    </tr>

    <tr id="trRecur1" runat="server" visible="false">
        <td>
            <asp:Label ID="lblDueLabel" runat="server" Text="Due On:" />
            <asp:Label ID="lblRecurDate1" runat="server" />
        </td>
        <td>
            <asp:Label ID="lblPrice2" runat="server" />
            <asp:Label ID="lblRecurAmt1" runat="server" Visible="false" />
        </td>
    </tr>

     <tr id="trRecurInterval" runat="server" visible="false">
        <td><%= Localization.GetString("Recurring.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblRecurInterval" runat="server" /></td>
    </tr>

    <tr id="trRecur2" runat="server" visible="false">
        <td>
            <%= Localization.GetString("LastPaymentDueOn.Text", LocalResourceFile)%>
        </td>
        <td>
            <asp:Label ID="lblRecurDate2" runat="server" />
            <asp:Label ID="lblRecurAmt2" runat="server" Visible="false" />
        </td>
    </tr>

    <tr id="trSurcharge" runat="server" visible="false">
        <td><%= Localization.GetString("lblSurcharge.Text", LocalResourceFile)%></td>
        <td><asp:Label ID="lblSurcharge" runat="server"  /></td>
    </tr>

    <tr runat="server" id="trInvoiceNo">
       <td><%= Localization.GetString("InvoiceNumber.Text", LocalResourceFile)%></td>
       <td><asp:Label runat="server" ID="lblInvoiceNo" /></td>
    </tr>

    <tr runat="server" id="trPaymentType">
       <td style="width:20%; white-space:nowrap;"><%= Localization.GetString("PaymentMethod.Text", LocalResourceFile)%></td>
       <td><asp:Label ID="lblPaymentType" runat="server" /></td>
    </tr>
</table>


<table runat="server" id="tblConfFields" cellpadding="5" cellspacing="5" visible="false" width="100%" >

    <tr><td>&nbsp;</td></tr>
    <tr runat="server" id="trConfLBLabel" visible="false">
        <td align="left" colspan="2"><asp:Label runat="server" ID="lblConfLBLabel" /></td>
    </tr>

    <tr runat="server" id="trConfLB" visible="false">
        <td colspan="2"><div class="ListScroll"><asp:Label ID="txtConfLBText" runat="server" CssClass="SmithTerms"/></div></td>
    </tr>

    <tr><td>&nbsp;</td></tr>

    <tr runat="server" id="trCB" visible="false">
        <td>
            <asp:Label ID="lblCBLabel" runat="server" Text="I Agree to the Terms and Conditions:" />
            <asp:CheckBox ID="chkContact" runat="server" TabIndex="190" />
            <asp:CustomValidator ID="valTandCs" ClientValidationFunction="ValidateTandCs" runat="server" ErrorMessage="Checkbox Required" CssClass="SmithRedMsg" Enabled="false"/>
            <%--<asp:RequiredFieldValidator ID="rfvtxtPDTB" runat="server" Enabled="false" ControlToValidate="chkContact" Display="Dynamic" ErrorMessage="*Required"/>--%>
        </td>
    </tr>
</table>

<table runat="server" id="tblCustomFields"  cellpadding="5" cellspacing="5" visible="false" width="100%" >
    <tr>
        <td colspan="2">
            <%--<asp:Label ID="lblLabel" runat="server" resourcekey="CustomFieldsTitle" />--%>
            <span class="Smith18Bold"><asp:Label ID="lblAdditionalInfo" runat="server" Text="Additional Information" /></span>
        </td>
    </tr>
</table>

<ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="btnCancel" runat="server" OnClick="btnCancel_Click" CssClass="dnnSecondaryAction" Text="Back" resourcekey="ibBack" CausesValidation="false" />&nbsp;&nbsp;</li>
    <li><asp:LinkButton ID="btnSubmit" runat="server" OnClick="btnSubmit_Click" CssClass="dnnPrimaryAction" Text="Submit" resourcekey="btnSubmit" /></li>
</ul>

</div>