<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.PageTemplate"  Codebehind="PageTemplate.ascx.cs" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />

<asp:MultiView runat="server" ID="mvMain">

  <asp:View ID="viewEditTemplate" runat="Server">
     
<table>
    <tr><td><h2>Manage Page Templates</h2></td></tr>
    <tr><td><asp:Label ID="lblMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" /></td></tr>
    <tr><td align="left">
        <asp:LinkButton ID="btnShowAddScreen" runat="server" onclick="btnShowAddScreen_Click" Text="Add Page Template" CausesValidation="false" CssClass="dnnPrimaryAction" />
    </td></tr>
    <tr><td></td></tr>
    <tr>
        <td>
            <asp:GridView ID="grdPageTemplates" AutoGenerateColumns="false" runat="server" GridLines="None"
                CssClass="scAdminGrid2" AlternatingRowStyle-CssClass="alt">

                <Columns>
                    <asp:TemplateField ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:LinkButton ID="lkEdit" runat="server" OnClick="lkEdit_Click" CausesValidation="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/edit.png") %>' /></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Name" ItemStyle-CssClass="GridCells" HeaderStyle-Width="200px" ItemStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Left" HeaderStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblTemplateName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Name") %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <%--<asp:TemplateField HeaderText="Language" ItemStyle-CssClass="GridCells" HeaderStyle-Width="150px" ItemStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Left" HeaderStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblLanguage" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"LanguageLocale") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>--%>
                    <asp:TemplateField ItemStyle-CssClass="GridCellsRight">
                        <ItemTemplate>
                            <asp:LinkButton ID="lkDelete" runat="server" OnClick="lkDelete_Click" CausesValidation="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/trash.png") %>' /></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
    <tr><td>&nbsp;</td></tr>
</table>
  
</asp:View>

<asp:View ID="viewAddTemplate" runat="server">

<h2><asp:Label ID="lblEditorTitle" runat="server" Text="Add Page Template" /></h2>

<table width="100%" border="0">
    <tr>
        <td align="left" style="width:15%; white-space:nowrap;">Name:</td>
        <td>
            <asp:Label runat="server" ID="lblSelectedTemplate" Visible="false"></asp:Label>
            <asp:DropDownList ID="ddlTemplateName" runat="server" AutoPostBack="True" onselectedindexchanged="ddlTemplateName_SelectedIndexChanged" width="100%" CssClass="tLimitSize250">
                <asp:ListItem Value="ProductMultiColumn">Product Multi Column Template</asp:ListItem>
                <asp:ListItem Value="ProductSingleColumn">Product Single Column Template</asp:ListItem>
                <asp:ListItem Value="RegForm">Registration Form Template</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>
   
    <tr><td>&nbsp;</td></tr>

    <tr><td align="left" colspan="2">Template:</td></tr>
    <tr>
        <td colspan="2">
           <%-- <dnn:TextEditor ID="teTemplate" runat="server" Width="550" TextRenderMode="Raw" HtmlEncode="False" DefaultMode="Rich" Height="350" ChooseMode="True" ChooseRender="False"  />--%>
            <%--<dnn:TextEditor ID="teTemplate" runat="server" Width="550" Height="350"  />--%>
            <asp:TextBox ID="teTemplate" runat="server" TextMode="multiLine" MaxLength="400" Rows="34" Width="100%" />
        </td>
    </tr>
</table>

<ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="btnSubmit" runat="server" OnClick="btnSubmit_Click" CssClass="dnnPrimaryAction" Text="Submit" /></li>
    <li><asp:LinkButton ID="btnCancel" runat="server" OnClick="btnCancel_Click" CssClass="dnnSecondaryAction" Text="Cancel" CausesValidation="false" /></li>
</ul>

</asp:View>

</asp:MultiView>
