﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Step1.ascx.cs" Inherits="Smith.DNN.Modules.Registration.Step1" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.Common.Controls" Assembly="DotNetNuke" %>

<link type="text/css" rel="stylesheet" href='<%= ResolveUrl("~/DesktopModules/SmithRegistration/css/stacktable.css") %>' />

<style type="text/css">
    @media (max-width: 530px) {

        #productsPanels .stacktable.large-only {
            display: none;
        }

        #productsPanels .stacktable.small-only {
            display: table;
        }

        #productsPanels .stacktable.small-only .st-key,
        #productsPanels .stacktable.small-only tr:first-child {
            display: none;
        }

        #productsPanels .stacktable.small-only .st-val {
            text-align: center;
        }
    }
</style>

<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/js/stacktable.js") %>'></script>

<script type="text/javascript">
    $(document).ready(function () {
        $('#productsPanels table.rc-single-column').each(function (i, tbl) {
            $(tbl).cardtable();
        });

        //var formFields = $('.rc-form-control :input');
        //if (formFields.length)
        //    formFields.get(0).focus();
    });
</script>

<asp:Panel ID="pnlAdminMenu" runat="server" Visible="false">
    <asp:Literal runat="server" ID="ltAdminMenu"></asp:Literal>
</asp:Panel>

<asp:Panel ID="pnlProducts" runat="server" CssClass="row">
    <div class="col-md-12" id="productsPanels">
        <asp:Repeater ID="dlProducts" runat="server" OnItemDataBound="dlProducts_ItemDataBound" OnItemCommand="dlProducts_ItemCommand">
        </asp:Repeater>
    </div>
</asp:Panel>

<asp:Panel ID="pnlEntryForm" runat="server" Visible="false">
    <asp:Literal runat="server" ID="ltHtmlTemplate"></asp:Literal>
</asp:Panel>

<asp:Label ID="lblStatus" runat="server" CssClass="dnnFormMessage dnnFormWarning" Visible="false" />

<div id="dlgBillingTerms" class="scux-dialog" style="display: none;">
    <asp:Label ID="lblBillingTerms" runat="server" />
</div>

<asp:HiddenField runat="server" ID="hdnStep2" Value="False"></asp:HiddenField>
<asp:Panel runat="server" ID="pnlStep2"></asp:Panel>