﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.Step2" CodeBehind="Step2.ascx.cs" %>

<style>
    .cc-image {
        display: inline-block;
        vertical-align: middle;
        background-image: url('<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/all_small_card.png") %>');
        background-repeat: no-repeat;
        width: 30px;
        height: 20px;
    }

    .no-cc-image {
        background-image: url('<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/no-cc-image.png") %>');
    }

    .visa-image {
        background-position: 0 0;
    }

    .mastercard-image {
        background-position: 0 -84px;
    }

    .amex-image {
        background-position: 0 -41px;
    }

    .discover-image {
        background-position: 0 -168px;
    }

    .dinnersclub-image {
        background-position: 0 -147px;
    }

    .jcb-image {
        background-position: 0 -189px;
    }

    .unionpay-image {
        background-position: 0 -63px;
    }

    .enroute-image {
        background-position: 0 -147px;
    }
</style>
<script type="text/javascript">
    //function closePopup() {
    //    document.getElementById("divSignin").style.display = "none";
    //    objDiv = document.getElementById("divg");
    //    objDiv.style.display = "none";
    //    return false;
    //}

    //function showPopup() {
    //    try {
    //        document.getElementById("divSignin").style.display = "block";
    //        objDiv = document.getElementById("divg");
    //        objDiv.style.display = "block";
    //        objDiv.style.width = document.body.scrollWidth;
    //        objDiv.style.height = document.body.scrollHeight;
    //        fnSetDivSigninLeft("divSignin");
    //    }
    //    catch (e) {
    //        alert(e);
    //    }
    //    return false
    //}

    //function fnSetDivSigninLeft(oElement) {
    //    var DivWidth = parseInt(document.getElementById(oElement).offsetWidth, 10)
    //    var DivHeight = parseInt(document.getElementById(oElement).offsetHeight, 10)
    //    document.getElementById(oElement).style.left = (document.body.offsetWidth / 2) - (DivWidth / 2) + 200;
    //    document.getElementById(oElement).style.top = (document.body.offsetHeight / 2) - (DivHeight / 2) + 100;

    //    return false;
    //}
</script>

<!-- Dialogs -->
<script type="text/javascript">
    $(function () {
        $('#<%= lbCVVHelpPopup.ClientID %>').click(function () {
            return (new scDialog('#dlgSecurityCode', 350, 250, 'Security Code')).open();
        });
        $('#<%= lbShowBillingTerms.ClientID %>').click(function () {
            var dialog = new scDialog('#dlgBillingTerms2', 400, 350, 'Billing Terms');
            return dialog.open();
            //return (new scDialog('#dlgBillingTerms', 400, 350, 'Billing Terms')).open();
        });
        
        var $txtAccountNumber = $('#<%= txtAccountNumber.ClientID %>');
        if ($txtAccountNumber.length) {
            var acceptedCCs = '<%= AcceptedCreditCardsString %>'.split(',');
            var bindAcceptedCCs = function () {
                var className = 'no-cc-image';
                for (i = 0; i < acceptedCCs.length; i++) { 
                    var acceptedCC = acceptedCCs[i];
                    var regex;
                    switch (acceptedCC) {
                        default:
                        case 'Visa':
                            className = 'visa-image';
                            regex = '^(?:<%= Smith.DNN.Modules.Registration.CreditCardHelper.VisaRegex %>)$';
                            break;
                        case 'MasterCard':
                            className = 'mastercard-image';
                            regex = '^(?:<%= Smith.DNN.Modules.Registration.CreditCardHelper.MasterCardRegex %>)$';
                            break;
                        case 'Amex':
                            className = 'amex-image';
                            regex = '^(?:<%= Smith.DNN.Modules.Registration.CreditCardHelper.AmexRegex %>)$';
                            break;
                        case 'Discover':
                            className = 'discover-image';
                            regex = '^(?:<%= Smith.DNN.Modules.Registration.CreditCardHelper.DiscoverRegex %>)$';
                            break;
                        case 'DinnersClub':
                            className = 'dinnersclub-image';
                            regex = '^(?:<%= Smith.DNN.Modules.Registration.CreditCardHelper.DinnersClubRegex %>)$';
                            break;
                        case 'JCB':
                            className = 'jcb-image';
                            regex = '^(?:<%= Smith.DNN.Modules.Registration.CreditCardHelper.JCBRegex %>)$';
                            break;
                        case 'UnionPay':
                            className = 'unionpay-image';
                            regex = '^(?:<%= Smith.DNN.Modules.Registration.CreditCardHelper.UnionPayRegex %>)$';
                            break;
                        case 'enRoute':
                            className = 'enroute-image';
                            regex = '^(?:<%= Smith.DNN.Modules.Registration.CreditCardHelper.enRouteRegex %>)$';
                            break;
                    }
                    if (new RegExp(regex).test($txtAccountNumber.val())) {
                        break;
                    } else {
                        className = 'no-cc-image';
                    }
                }
                $txtAccountNumber.attr('class', 'tLimitSize250 cc-image').addClass(className);
            }
            $txtAccountNumber.on('input', bindAcceptedCCs);
            bindAcceptedCCs();
        }
    });
</script>


<table width="100%" runat="server" id="tblPaymentInfo1" cellpadding="5" cellspacing="5">
    <tr>
        <td colspan="2">
            <h4><%= Localization.GetString("OrderDetailsTitle.Text", LocalResourceFile)%></h4>
        </td>
    </tr>
</table>

<table class="SC-table SC-table-striped" runat="server" id="tblPaymentInfo2">
    <tr>
        <td><%= Localization.GetString("Product.Text", LocalResourceFile)%></td>
        <td>
            <asp:Label ID="lblItem" runat="server" /></td>
    </tr>

    <tr runat="server" id="trQuantity">
        <td><%= Localization.GetString("Quantity.Text", LocalResourceFile)%></td>
        <td>
            <asp:Label runat="server" ID="lblQuantity" /></td>
    </tr>

    <tr runat="server" id="trDiscountDesc" visible="false">
        <td><%= Localization.GetString("DiscountDesc.Text", LocalResourceFile)%></td>
        <td>
            <asp:Label runat="server" ID="lblDiscountDesc" />
            <asp:Label runat="server" ID="lblPayInFullDesc" Visible="false" />
        </td>
    </tr>

    <tr id="trPrice" runat="server">
        <td><%= Localization.GetString("lblPriceLabel.Text", LocalResourceFile)%></td>
        <td>
            <asp:Label ID="lblPrice" runat="server" />
        </td>
    </tr>

    <tr id="trDeposit" runat="server" visible="false">
        <td>
            <b>
                <asp:Label ID="lblDepositLabel" runat="server" />
            </b>
        </td>
        <td>
            <asp:Label ID="lblDeposit" runat="server" />
        </td>
    </tr>

    <tr id="trRecur1" runat="server" visible="false">
        <td>
            <asp:Label ID="lblDueLabel" runat="server" Text="Due On:" />
            <asp:Label ID="lblRecurDate1" runat="server" />
        </td>
        <td>
            <asp:Label ID="lblPrice2" runat="server" />
            <asp:Label ID="lblRecurAmt1" runat="server" Visible="false" />
        </td>
    </tr>

    <tr id="trRecurInterval" runat="server" visible="false">
        <td><%= Localization.GetString("Recurring.Text", LocalResourceFile)%></td>
        <td>
            <asp:Label ID="lblRecurInterval" runat="server" /></td>
    </tr>

    <tr id="trRecur2" runat="server" visible="false">
        <td>
            <%= Localization.GetString("LastPaymentDueOn.Text", LocalResourceFile)%>
        </td>
        <td>
            <asp:Label ID="lblRecurDate2" runat="server" />
            <asp:Label ID="lblRecurAmt2" runat="server" Visible="false" />
        </td>
    </tr>
</table>


<div id="dlgSecurityCode" class="scux-dialog scux-text-center">
    <asp:Image ID="Image2" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/cvv-image.gif" />
</div>

<div id="dlgBillingTerms2" class="scux-dialog">
    <asp:Label ID="lblBillingTerms2" runat="server" />
</div>

<h4>STEP 2 - ENTER PAYMENT INFORMATION</h4>

<table>

    <tr runat="server" id="trNoPaymentSelected" visible="false">
        <td colspan="2" class="SmithRequiredText">
            <%= Localization.GetString("txtNoPaymentSelected.Text", LocalResourceFile)%>
        </td>
    </tr>

    <tr id="trBillingOption" runat="server">
        <td colspan="2">
            <asp:RadioButtonList ID="rblBillingOption" runat="server" DataValueField="optPayNow" AutoPostBack="true" OnSelectedIndexChanged="rblBillingOption_SelectedIndexChanged" CausesValidation="false" ValidationGroup="Step2Validation" onclick="if (typeof Page_ClientValidate === 'function') { Page_ClientValidate('') }">
                <asp:ListItem id="optPayNow" runat="server" Value="PayNow" resourcekey="rdbPayNow.Text" Selected="True" />
                <asp:ListItem id="optRecur" runat="server" Value="Recur" />
            </asp:RadioButtonList>
        </td>
    </tr>

    <tr id="trWallet" runat="server" visible="false">
        <td style="width: 20%; white-space: nowrap;" class="scPadBottom10"><%= Localization.GetString("txtMyWallet_Options.Text", LocalResourceFile)%></td>
        <td align="left" class="scPadBottom10">
            <asp:DropDownList ID="ddlWalletOptions" runat="server" AppendDataBoundItems="true" AutoPostBack="true" OnSelectedIndexChanged="ddlWalletOptions_SelectedIndexChanged" CausesValidation="false" ValidationGroup="Step2Validation" onclick="if (typeof Page_ClientValidate === 'function') { Page_ClientValidate('') }">
                <asp:ListItem Value="0" resourcekey="Select_Wallet"></asp:ListItem>
            </asp:DropDownList>
            <asp:LinkButton runat="server" ID="btnManageWallet" resourcekey="btnManageWallet" OnClick="btnManageWallet_Click" CausesValidation="false" ValidationGroup="Step2Validation" OnClientClick="if (typeof Page_ClientValidate === 'function') { Page_ClientValidate('') }"></asp:LinkButton>
        </td>
    </tr>
    <tr id="trPaymentMethod" runat="server">
        <td valign="top" style="width: 20%; white-space: nowrap;"><%= Localization.GetString("txtPayment_Method.Text", LocalResourceFile)%>
            <font color="red">&nbsp;*</font>&nbsp;&nbsp;
        </td>
        <td align="left">
            <asp:Repeater runat="server" ID="rptPaymentMethods">
                <ItemTemplate>
                    <div>
                        <input type="radio" id='<%# Eval("ID") %>' name="rblPaymentMethods" value='<%# Eval("Value") %>' <%# Convert.ToBoolean(Eval("Selected")) ? "checked" : "" %> />
                        &nbsp;
                        <label for='<%# Eval("ID") %>'>
                            <asp:Image runat="server" ImageUrl="Images/PayPal_small_60x20.jpg" Visible='<%# Eval("Value").ToString() == "PAYPALSTD" %>' />
                            <%# Eval("Text") %>
                        </label>
                    </div>
                </ItemTemplate>
            </asp:Repeater>
            <script id="sctChangePayMethod">
                var $inputs = $('input[name=rblPaymentMethods]');
                var prevVal = $inputs.filter(':checked').val();
                $inputs.on('click', function () {
                    var $input = $(this);
                    var newVal = $input.val();
                    if (newVal !== prevVal) {
                        prevVal = newVal;
                        if (typeof Page_ClientValidate === 'function') {
                            Page_ClientValidate('');
                        }
                        setTimeout(function () { __doPostBack('rblPaymentMethods', newVal); }, 0);
                    }
                });
                $('#sctChangePayMethod').remove();
            </script>
        </td>
    </tr>

    <asp:Panel ID="pnACH" runat="server">
        <tr>
            <td style="width: 20%; white-space: nowrap;"><%= Localization.GetString("txtName_on_Account.Text", LocalResourceFile)%>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td>
                <asp:TextBox ID="txtACHName" runat="server" MaxLength="50" Width="95%" CssClass="tLimitSize350" ValidationGroup="Step2Validation" />
                <asp:RequiredFieldValidator ID="rfvtxtACHName" runat="server" ControlToValidate="txtACHName" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
            </td>
        </tr>
        <tr>
            <td><%= Localization.GetString("txtAccount_Number.Text", LocalResourceFile)%>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td>
                <asp:TextBox ID="txtACHAccountNumber" runat="server" MaxLength="50" Width="95%" CssClass="tLimitSize250" ValidationGroup="Step2Validation" />
                <asp:RequiredFieldValidator ID="rfvACHAccountNumber" runat="server" ControlToValidate="txtACHAccountNumber" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
            </td>
        </tr>
        <tr>
            <td><%= Localization.GetString("txtBank_Routing_No.Text", LocalResourceFile)%>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td>
                <asp:TextBox ID="txtRoutingNo" runat="server" Width="95%" CssClass="tLimitSize250" ValidationGroup="Step2Validation" />
                <asp:RequiredFieldValidator ID="rfvRoutingNo" runat="server" ControlToValidate="txtRoutingNo" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
            </td>
        </tr>
        <tr>
            <td><%= Localization.GetString("txtDescription.Text", LocalResourceFile)%>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td>
                <asp:TextBox ID="txtDescription" runat="server" MaxLength="60" Width="95%" CssClass="tLimitSize350" ValidationGroup="Step2Validation" />
                <asp:RequiredFieldValidator ID="rfvDescription" runat="server" ControlToValidate="txtDescription" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
            </td>
        </tr>
    </asp:Panel>

    <asp:Panel ID="pnCreditCard" runat="server">

        <tr id="trCreditCardNumber" runat="server">
            <td style="white-space: nowrap;"><%= Localization.GetString("lblAcctLabel.Text", LocalResourceFile)%>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td>
                <asp:TextBox ID="txtAccountNumber" runat="server" Columns="50" MaxLength="16" CssClass="tLimitSize250 cc-image" ValidationGroup="Step2Validation" Style="width: auto; height: auto; padding-left: 34px;" />
                <asp:RequiredFieldValidator ID="rfvtxtAccountNumber" runat="server" ControlToValidate="txtAccountNumber" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
                <asp:RegularExpressionValidator ID="revtxtAccountNumber" runat="server" ControlToValidate="txtAccountNumber" resourcekey="InvalidCreditCard" Display="Dynamic" CssClass="SmithRequiredText" ValidationGroup="Step2Validation"
                    ValidationExpression="^(?:(?:4[0-9]{12}(?:[0-9]{3})?)|(?:(?:5[1-5][0-9]{2}|222[1-9]|22[3-9][0-9]|2[3-6][0-9]{2}|27[01][0-9]|2720)[0-9]{12})|(?:3[47][0-9]{13})|(?:6(?:011|5[0-9]{2})[0-9]{12}))$" />
                <asp:Label ID="lblCardMsg" runat="server" CssClass="SmithRequiredText" />
            </td>
        </tr>
        <tr id="trCreditCardMessage" runat="server">
            <td class="scPadBottom10"></td>
            <td class="scPadBottom10">
                <div>
                    <span title="Visa (incl. VPay)" runat="server" id="imgVisa" visible="false" class="cc-image visa-image"></span>
                    <span title="MasterCard" runat="server" id="imgMasterCard" visible="false" class="cc-image mastercard-image"></span>
                    <span title="American Express" runat="server" id="imgAmex" visible="false" class="cc-image amex-image"></span>
                    <span title="Discover" runat="server" id="imgDiscover" visible="false" class="cc-image discover-image"></span>
                    <span title="Diners Club International" runat="server" id="imgDinnersClub" visible="false" class="cc-image dinnersclub-image"></span>
                    <span title="JCB" runat="server" id="imgJCB" visible="false" class="cc-image jcb-image"></span>
                    <span title="UnionPay International" runat="server" id="imgUnionPay" visible="false" class="cc-image unionpay-image"></span>
                    <span title="Diners Club enRoute" runat="server" id="imgEnRoute" visible="false" class="cc-image enroute-image"></span>
                </div>
                <div><%= Localization.GetString("txtSpaces_Dashes.Text", LocalResourceFile)%></div>
            </td>
        </tr>

        <tr runat="server" id="trExpirationDate">
            <td style="width: 20%; white-space: nowrap;" class="scPadBottom10"><%= Localization.GetString("txtExpiration_Date.Text", LocalResourceFile)%>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td class="scPadBottom10">
                <asp:DropDownList ID="ddlExpireMonth" runat="server">
                    <asp:ListItem Value="01">01</asp:ListItem>
                    <asp:ListItem Value="02">02</asp:ListItem>
                    <asp:ListItem Value="03">03</asp:ListItem>
                    <asp:ListItem Value="04">04</asp:ListItem>
                    <asp:ListItem Value="05">05</asp:ListItem>
                    <asp:ListItem Value="06">06</asp:ListItem>
                    <asp:ListItem Value="07">07</asp:ListItem>
                    <asp:ListItem Value="08">08</asp:ListItem>
                    <asp:ListItem Value="09">09</asp:ListItem>
                    <asp:ListItem Value="10">10</asp:ListItem>
                    <asp:ListItem Value="11">11</asp:ListItem>
                    <asp:ListItem Value="12">12</asp:ListItem>
                </asp:DropDownList>
                <asp:DropDownList ID="ddlExpireYear" runat="server" />
            </td>
        </tr>

        <tr runat="server" id="trSecurityCode">
            <td class="scPadBottom10"><%= Localization.GetString("txtCard_Security_Code.Text", LocalResourceFile)%>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td class="scPadBottom10">
                <asp:TextBox ID="txtCVV2" runat="server" Columns="6" MaxLength="4" AutoCompleteType="Disabled" ValidationGroup="Step2Validation" />&nbsp;&nbsp;
                <asp:LinkButton ID="lbCVVHelpPopup" resourcekey="lbCVVHelpPopup" runat="server" Font-Underline="true" CausesValidation="false" />
                <asp:RequiredFieldValidator ID="rfvCVV2" runat="server" ControlToValidate="txtCVV2" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
                <asp:CompareValidator ID="cvCVV2" runat="server" Resourcekey="Enter_Number" ControlToValidate="txtCVV2" Display="Dynamic" Operator="DataTypeCheck" Type="Integer" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
            </td>
        </tr>

        <tr id="trRecurringDate" runat="server" style="height: 35px" visible="false">
            <td class="scPadBottom10"><%= Localization.GetString("RecurringBillingStartDate.Text", LocalResourceFile)%>&nbsp;</td>
            <td class="scPadBottom10">
                <asp:DropDownList ID="ddlRecurringBillingStartDate" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlRecurringBillingStartDate_SelectedIndexChanged" CausesValidation="false" ValidationGroup="Step2Validation" onclick="if (typeof Page_ClientValidate === 'function') { Page_ClientValidate('') }">
                    <asp:ListItem Value="0">-- Select --</asp:ListItem>
                    <asp:ListItem Value="1">1</asp:ListItem>
                    <asp:ListItem Value="2">2</asp:ListItem>
                    <asp:ListItem Value="3">3</asp:ListItem>
                    <asp:ListItem Value="4">4</asp:ListItem>
                    <asp:ListItem Value="5">5</asp:ListItem>
                    <asp:ListItem Value="6">6</asp:ListItem>
                    <asp:ListItem Value="7">7</asp:ListItem>
                    <asp:ListItem Value="8">8</asp:ListItem>
                    <asp:ListItem Value="9">9</asp:ListItem>
                    <asp:ListItem Value="10">10</asp:ListItem>
                    <asp:ListItem Value="11">11</asp:ListItem>
                    <asp:ListItem Value="12">12</asp:ListItem>
                    <asp:ListItem Value="13">13</asp:ListItem>
                    <asp:ListItem Value="14">14</asp:ListItem>
                    <asp:ListItem Value="15">15</asp:ListItem>
                    <asp:ListItem Value="16">16</asp:ListItem>
                    <asp:ListItem Value="17">17</asp:ListItem>
                    <asp:ListItem Value="18">18</asp:ListItem>
                    <asp:ListItem Value="19">19</asp:ListItem>
                    <asp:ListItem Value="20">20</asp:ListItem>
                    <asp:ListItem Value="21">21</asp:ListItem>
                    <asp:ListItem Value="22">22</asp:ListItem>
                    <asp:ListItem Value="23">23</asp:ListItem>
                    <asp:ListItem Value="24">24</asp:ListItem>
                    <asp:ListItem Value="25">25</asp:ListItem>
                    <asp:ListItem Value="26">26</asp:ListItem>
                    <asp:ListItem Value="27">27</asp:ListItem>
                    <asp:ListItem Value="28">28</asp:ListItem>
                    <asp:ListItem Value="29">29</asp:ListItem>
                    <asp:ListItem Value="30">30</asp:ListItem>
                    <asp:ListItem Value="31">31</asp:ListItem>
                </asp:DropDownList>
                &nbsp;
                <asp:Label ID="lblRecurStartDate" runat="server" />
            </td>
        </tr>

        <tr>
            <td style="white-space: nowrap;" class="scPadBottom10"><%= Localization.GetString("txtName_on_Account.Text", LocalResourceFile)%>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td class="scPadBottom10">
                <asp:TextBox ID="txtName" runat="server" Columns="60" MaxLength="60" Width="95%" CssClass="tLimitSize350" ValidationGroup="Step2Validation" />
                <asp:RequiredFieldValidator ID="rfvName" runat="server" ControlToValidate="txtName" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
            </td>
        </tr>

        <tr>
            <td><%= Localization.GetString("txtBilling_Address.Text", LocalResourceFile)%>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td>
                <asp:TextBox ID="txtAddress1" runat="server" Columns="60" MaxLength="60" Width="95%" CssClass="tLimitSize350" ValidationGroup="Step2Validation" />
                <asp:RequiredFieldValidator ID="rfvStreetAddress" runat="server" ControlToValidate="txtAddress1" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
            </td>
        </tr>

        <tr>
            <td class="scPadBottom10"></td>
            <td class="scPadBottom10">
                <asp:TextBox ID="txtAddress2" runat="server" Width="95%" CssClass="tLimitSize350" /></td>
        </tr>

        <tr>
            <td class="scPadBottom10"><%= Localization.GetString("txtBilling_City.Text", LocalResourceFile)%>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td class="scPadBottom10">
                <asp:TextBox ID="txtCity" runat="server" Columns="60" MaxLength="60" Width="95%" CssClass="tLimitSize250" ValidationGroup="Step2Validation" />
                <asp:RequiredFieldValidator ID="rfvCity" runat="server" ControlToValidate="txtCity" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
            </td>
        </tr>

        <tr>
            <td class="scPadBottom10"><%= Localization.GetString("txtCountry.Text", LocalResourceFile)%>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td class="scPadBottom10">
                <asp:DropDownList ID="ddlCountry" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ddlCountry_SelectedIndexChanged" AppendDataBoundItems="true" Width="100%" CssClass="tLimitSize350" CausesValidation="false" ValidationGroup="Step2Validation" onclick="if (typeof Page_ClientValidate === 'function') { Page_ClientValidate('') }">
                    <asp:ListItem Value="0" resourcekey="Select_Country"></asp:ListItem>
                </asp:DropDownList>
                <asp:RequiredFieldValidator ID="rfvddlCountry" runat="server" ControlToValidate="ddlCountry" InitialValue="0" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
            </td>
        </tr>

        <tr>
            <td class="scPadBottom10"><%= Localization.GetString("State.Text", LocalResourceFile)%>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td class="scPadBottom10">
                <asp:DropDownList ID="ddlState" runat="server" Width="100%" CssClass="tLimitSize250" ValidationGroup="Step2Validation">
                </asp:DropDownList>
                <asp:RequiredFieldValidator ID="rfvState" runat="server" ControlToValidate="ddlState" InitialValue="0" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
                <asp:TextBox ID="txtState" runat="server" Visible="false" MaxLength="50" Width="95%" CssClass="tLimitSize250" ValidationGroup="Step2Validation" />
                <asp:RequiredFieldValidator ID="rfvtxtState" runat="server" ControlToValidate="txtState" Enabled="false" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
            </td>
        </tr>

        <tr>
            <td><%= Localization.GetString("txtZip_Code.Text", LocalResourceFile)%>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td>
                <asp:TextBox ID="txtZip" runat="server" Columns="6" Width="90%" CssClass="tLimitSize150" ValidationGroup="Step2Validation" />
                <asp:RequiredFieldValidator ID="rfvZip" runat="server" ControlToValidate="txtZip" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="Step2Validation" />
                <%--<asp:RegularExpressionValidator ID="revtxtZip" runat="server" ControlToValidate="txtZip" ErrorMessage=" Zip code field must be a minimum of 5 characters" ValidationExpression=".{5}.*" Display="Dynamic" CssClass="SmithRequiredText"/>--%>
            </td>
        </tr>

    </asp:Panel>

</table>

<asp:Panel runat="server" ID="pnlAuthCIM" Visible="false">
    <style>
        #iframe_holder {
            max-width: 768px;
            min-height: <%= AuthCIMIFrameHeight %>px;
            background: url('<%= AuthCIMLoadingGif %>') top center no-repeat;
        }

        #manage_payment {
            width: 100%;
            height: <%= AuthCIMIFrameHeight %>px;
            border: 0;
            overflow: hidden;
        }

        @media screen and (max-width: 767px) {
            #manage_payment {
                height: 800px;
            }
        }
    </style>
    <div id="iframe_holder">
        <iframe id="manage_payment" name="manage_payment" frameborder="0" scrolling="no" style="visibility: hidden;"></iframe>
    </div>
    <script id="sctAuthCIM">
        var parseQueryString = function (str) {
            var vars = [];
            var arr = str.split('&');
            var pair;
            for (var i = 0; i < arr.length; i++) {
                pair = arr[i].split('=');
                vars[pair[0]] = unescape(pair[1]);
            }
            return vars;
        };
        window.CommunicationHandler = {};
        CommunicationHandler.onReceiveCommunication = function (arg1) {
            var params = parseQueryString(arg1.qstr);
            switch (params['action']) {
                case 'resizeWindow':
                    $('#manage_payment').css({ 'width': params['width'] + 'px', 'min-height': params['height'] + 'px' }).css('visibility', '');
                    break;
                case 'successfulSave':
                    $('#iframe_holder').hide();
                    var $btnSubmit = $('#<%= btnSubmit.ClientID %>');
                    $btnSubmit[0].click();
                    var valid = $btnSubmit.data('valid-submit');
                    if (!valid)
                        $('#<%= ulActionButtons.ClientID %>').show();
                    $btnSubmit.removeData('valid-submit');
                    break;
                case 'cancel':
                    var NoBackButton = <%= NoBackButton.ToString().ToLower() %>;
                    if (NoBackButton) {
                        $('[name="rblPaymentMethods"]').eq(0).click();
                    } else {
                        $('#<%= btnCancel.ClientID %>')[0].click();
                    }
                    break;
            }
        }
        $(function () {
            $('#manage_payment').load(function () {
                setTimeout(function () {
                    $('#manage_payment').css('visibility', '');
                }, 2000);
            });
            $('<form>', {
                id: 'frm_auth_cim',
                action: '<%= AuthCIMUrl %>',
                method: 'post',
                target: 'manage_payment'
            }).append($('<input>', {
                type: 'hidden',
                name: 'token',
                value: '<%= AuthCIMToken %>'
                })).append($('<input>', {
                    type: 'hidden',
                    name: 'paymentProfileId',
                    value: '<%= AuthCIMPayID %>'
                })).appendTo('body').submit().remove();
        });
        $('#sctAuthCIM').remove();
    </script>
</asp:Panel>

<ul class="dnnActions dnnClear" runat="server" id="ulActionButtons">
    <li runat="server" id="liCancel">
        <asp:LinkButton ID="btnCancel" runat="server" OnClick="btnCancel_Click" CssClass="dnnSecondaryAction" Text="Back" resourcekey="ibBack" CausesValidation="false" ValidationGroup="Step2Validation" OnClientClick="if (typeof Page_ClientValidate === 'function') { Page_ClientValidate('') }" />&nbsp;
    </li>
    <li>
        <script id="sctSubmitPayment">
            function mySubmitFunc(btnSubmit) {
                var valid = true;
                var $btnSubmit = $(btnSubmit);
                if (typeof Page_ClientValidate === 'function') {
                    valid = Page_ClientValidate('Step2Validation');
                }
                if (!$('input[name="rblPaymentMethods"]:checked').length) {
                    valid = false;
                }
                $btnSubmit.data('valid-submit', valid);
                var singlePageCheckout = <%= SinglePageCheckout.ToString().ToLower() %>;
                if (singlePageCheckout && $btnSubmit.is('.rc-simulate-submit')) {
                    valid = false;
                }
                return valid;
            }
            $('#sctSubmitPayment').remove();
        </script>
        <asp:LinkButton ID="btnSubmit" runat="server" OnClick="btnSubmit_Click" CssClass="dnnPrimaryAction rc-simulate-submit" Text="Next" resourcekey="ibNext" ValidationGroup="Step2Validation" OnClientClick="return mySubmitFunc(this);" />
    </li>
</ul>

<!-- Billing Terms -->
<div id="dvBillingTerms" runat="server" class="scux-panel" visible="false">
    <%--<asp:Label ID="lblBillTermsLabel" runat="server" resourcekey="lblBillTermsLabel" />&nbsp;--%>
    <asp:LinkButton ID="lbShowBillingTerms" runat="server" resourcekey="lblBillTermsLink" CausesValidation="false" Font-Bold="true" Font-Underline="false" />
</div>
