﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SignInDialog.ascx.cs" Inherits="Smith.Modules.Common.SignInDialog" %>
<%@ Register TagPrefix="scui" TagName="SmithButton" Src="~/DesktopModules/SmithCommon/Controls/SmithButton.ascx" %>
<%@ Register TagPrefix="scui" Assembly="SmithCommon" Namespace="Smith.Modules.Common" %>

<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDialog.js") %>'></script>
<script type="text/javascript">
  $(function () {
      if (<%= (Enabled ? 1 : 0) %>)
          $('.<%= Key %>').click(function () {
              return (new scDialog('#<%= dlgSignIn.ClientID %>', <%= Width %>, <%= Height %>, '<%= Title %>')).open();
          });
  });
</script>

<asp:Panel ID="dlgSignIn" runat="server" CssClass="scux-dialog scux-dialog-signin scux-panel scux-text-center">
  <div class="scux-region scux-inline">
    <div class="scux-panel">
      <span class="scux-text-large scux-text-bold"><%= SmithLocalization.GetString("txtRegister.Text", this) %></span>
    </div>
    <div class="scux-panel">
      <scui:SmithButton runat="server" OnClick="btnRegister_Click" Text="REGISTER NOW" ResourceKey="btnRegister.Text" />
    </div>
  </div>

  <div class="scux-region scux-inline">
    <div class="scux-panel">
      <span class="scux-text-large scux-text-bold"><%= SmithLocalization.GetString("txtSignIn.Text", this) %></span>
    </div>
    <div class="scux-panel">
      <scui:SmithButton runat="server" OnClick="btnLogin_Click" Text="SIGN IN" ResourceKey="btnSignIn.Text" />
    </div>
  </div>
</asp:Panel>
