﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MakeDeposit.ascx.cs" Inherits="Smith.DNN.Modules.Registration.MakeDeposit" %>

<asp:MultiView runat="server" ID="mvMain">

<%-- Deposit - Step 1 --%>

  <asp:View ID="viewDepositStep1" runat="server">

  <h2><asp:Label ID="Label6" runat="server" Text="Make a Deposit" /></h2>

 <table ID="tblStep1Msg" runat="server" visible="false">
    <tr><td colspan="4" align="left" height="40px"><asp:Label ID="Label2" runat="server" CssClass="dnnFormMessage dnnFormInfo" Text="Please Add a Deposit" /></td></tr>
 </table>

   <%--Choose Product--%>
     
<table>
     <tr ID="trTransType" runat="server" visible="false" >
        <td><asp:Label ID="Label3" runat="server" Text="Transaction Type:" CssClass="SmithProdText"/></td>
        <td>
            <asp:DropDownList ID="ddlTranType" runat="server" AppendDataBoundItems="True"> 
            </asp:DropDownList>
            <%--<asp:RequiredFieldValidator ID="rfvTranType" runat="server" ControlToValidate="ddlTranType" InitialValue="0" Display="Dynamic" ErrorMessage="Required" CssClass="SmithRequiredText"/>--%>
        </td>    
    </tr>
 
    <tr style="height:45px">
        <td>
            <asp:Label ID="lblCategory" runat="server" Text="Category:" CssClass="SmithProdText"/>&nbsp;&nbsp;
            <asp:DropDownList ID="ddlCategory" runat="server" OnSelectedIndexChanged="ddlCategory_SelectedIndexChanged" AutoPostBack="True" AppendDataBoundItems="True">         
            </asp:DropDownList>
            <asp:RequiredFieldValidator ID="rfvCategory" runat="server" ControlToValidate="ddlCategory" InitialValue="0" Display="Dynamic" ErrorMessage="Required" CssClass="SmithRequiredText" ValidationGroup="Step1" />
        </td>

        <td width="25px">&nbsp;</td>

        <td>
            <asp:Label ID="lblItemLabel" runat="server" Text="Product Name:" CssClass="SmithProdText"/>&nbsp;&nbsp;
            <asp:DropDownList ID="ddlProducts" runat="server" OnSelectedIndexChanged="ddlProducts_SelectedIndexChanged" AutoPostBack="True" AppendDataBoundItems="True">
               <%-- <asp:ListItem Text="-Select-" Value="0" /> --%>               
            </asp:DropDownList>
             <asp:RequiredFieldValidator ID="rfvProducts" runat="server" ControlToValidate="ddlProducts" InitialValue="0" Display="Dynamic" ErrorMessage="Required" CssClass="SmithRequiredText" ValidationGroup="Step1"  />
        </td>

        <td width="25px">&nbsp;</td>

        <td>
            <asp:Label ID="lblQuantity" runat="server" Text="Quantity:" CssClass="SmithProdText"/>&nbsp;&nbsp;
            <asp:TextBox ID="txtQuantity" runat="server" MaxLength="12" Width="100px" />&nbsp;
            <%--<asp:RequiredFieldValidator ID="rfvtxtQuantity" runat="server"  ControlToValidate="txtQuantity" ErrorMessage="Required" CssClass="SmithRequiredText" />--%>
            <asp:CompareValidator ID="CVtxtQuantity" runat="server" ControlToValidate="txtQuantity" ErrorMessage="Please Enter Valid Quantity" Operator="DataTypeCheck" Type="Currency" CssClass="SmithRequiredText" ValidationGroup="Step1" />
        </td>
    </tr>

    <tr ID="trOtherProduct" runat="server" style="height:45px"  visible="false">
        <td></td>
        <td width="25px">&nbsp;</td>
        <td colspan="3" valign="bottom">
            <asp:Label ID="lblOtherProductName" runat="server" Text="Other Product Name:" CssClass="SmithProdText"/>&nbsp;&nbsp;
            <asp:TextBox ID="txtOtherProduct" runat="server" Width="250px" />&nbsp;
            <asp:RequiredFieldValidator ID="rfvOtherProduct" runat="server"  ControlToValidate="txtOtherProduct" Display="Dynamic" ErrorMessage="Required" CssClass="SmithRequiredText"/>
        </td>
    </tr>

 <%--   <tr ID="trAmount" runat="server" visible="false">
        <td><asp:Label ID="lblAmount" runat="server" Text="Amount:" CssClass="SmithProdText"/></td>
        <td>
            <asp:TextBox ID="txtAmount" runat="server" MaxLength="12" />&nbsp;
            <asp:RequiredFieldValidator ID="rfvtxtAmount" runat="server"  ControlToValidate="txtAmount" Display="Dynamic" ErrorMessage="Required" CssClass="SmithRequiredText" />
            <asp:CompareValidator ID="CVtxtAmount" runat="server" ControlToValidate="txtAmount" ErrorMessage="Please Enter Valid Amount" Operator="DataTypeCheck" Type="Currency" CssClass="SmithRequiredText" />
        </td>
    </tr>--%>

    <tr><td>&nbsp;</td></tr>

    <tr><td colspan="3" align="left"><asp:LinkButton ID="btnAddDeposit" runat="server" OnClick="btnAddDeposit_Click" CssClass="dnnPrimaryAction" Text="Add To Deposit" ValidationGroup="Step1" /></td></tr>
    <tr><td>&nbsp;</td></tr>
</table>

<table width="100%">
 <tr><td>

    <asp:GridView ID="grdDeposit" AutoGenerateColumns="False" runat="server" DataKeyNames="ProductID" Width="100%" gridlines="None"
        OnRowDataBound="grdDeposit_RowDataBound" OnRowDeleting="grdDeposit_RowDeleting" 
        CssClass="scAdminGrid2"
        AlternatingRowStyle-CssClass="alt">
           <%-- ShowFooter="True" PageSize="50" CssClass="scux-grid" Width="100%" --%>
       <%-- OnRowCreated="grdDeposit_RowCreated" OnRowDataBound="grdDeposit_RowDataBound" >--%>
       
        <EmptyDataTemplate>
            <asp:Label ID="Label1" runat="server" Text="No Deposits Added." CssClass="SmithLargeText" />
        </EmptyDataTemplate>

        <Columns>

            <asp:TemplateField HeaderText="Deposit" ItemStyle-CssClass="GridCells">
              <ItemTemplate>
                <%# Container.DataItemIndex + 1 %>
              </ItemTemplate>
            </asp:TemplateField>
        
            <asp:TemplateField HeaderText="ProductID" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblProductID" runat="server" Text='<%#Eval("ProductID") %>' />
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="Product Name" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblProductName" runat="server" Text='<%#Eval("ProductName") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Other Product Name" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblOtherProductName" runat="server" Text='<%#Eval("OtherProductName") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="CategoryID" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblCategoryID" runat="server" Text='<%#Eval("CategoryID") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Category Name" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblCategoryName" runat="server" Text='<%#Eval("CategoryName") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Unit Price" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblAmount" runat="server" Text='<%# Eval("Amount","{0:f}") %>'/>
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Quantity" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblQuantity" runat="server" Text='<%#Eval("Quantity") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Line Total" HeaderStyle-CssClass="GridHeader" HeaderStyle-HorizontalAlign="Center" HeaderStyle-Width="100px" ItemStyle-CssClass="GridCellsRight" ItemStyle-HorizontalAlign="Right">
                <ItemTemplate>
                    <asp:label ID="lblLineTotal" runat="server" />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Notes" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblNotes" runat="server" Text='<%#Eval("Notes") %>' />
                </ItemTemplate>
            </asp:TemplateField>
                
            <asp:TemplateField ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                        <asp:LinkButton ID="btnDelete" runat="server" CausesValidation="false" CommandName="Delete" resourcekey="Delete" />
                </ItemTemplate>
            </asp:TemplateField>

        </Columns>

    </asp:GridView>

    </td></tr>
</table>

<br />

<ul class="dnnActions dnnClear">
    <%--<li><asp:LinkButton ID="btnDepositStep1Back" runat="server" OnClick="btnDepositStep1Back_Click" CssClass="dnnSecondaryAction" Text="Back" CausesValidation="false" /></li>--%>
    <li><asp:LinkButton ID="btnDepositStep1Next" runat="server" OnClick="btnDepositStep1Next_Click" CssClass="dnnPrimaryAction" Text="Next" /></li>
</ul>

</asp:View>


<%-- Confirm Deposit--%>

  <asp:View ID="viewConfirmDeposit" runat="server">
 
  <h2><asp:Label ID="lblConfirmTitle" runat="server" Text="Confirm Deposit" /></h2>
 
 <table ID="tblConfirmDepositMsg" runat="server" visible="false">
    <tr><td colspan="4" align="left" height="40px"><asp:Label ID="lblConfirmDepositMsg" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Deposit Added Successfully" /></td></tr>
 </table>

  <%--Customer Info--%>

<table id="tblCustomerInfo" runat="server" class="tblCustomerInfo" >
    <tr><td class="SmithBold" colspan="3">Customer Info:</td></tr>
    <tr>
        <td width="20px">&nbsp;</td>
        <td>
            <asp:Label ID="lblCustomerID" runat="server" Visible="false" />
            <asp:Label ID="lblFirstName" runat="server" CssClass="SmithProdText"/>&nbsp;<asp:Label ID="lblLastName" runat="server" CssClass="SmithProdText"/> <br />
            <asp:Label ID="lblAddress" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblCity" runat="server" CssClass="SmithProdText"/>&nbsp;&nbsp;<asp:Label ID="lblState" runat="server" CssClass="SmithProdText"/>&nbsp;&nbsp;<asp:Label ID="lblZip" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblCountry" runat="server" CssClass="SmithProdText"/>
        </td>

        <td width="60px">&nbsp;</td>

        <td>
            <asp:Label ID="lblWorkPhone" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblCellPhone" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblEmail" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblDNNLogin" runat="server" CssClass="SmithProdText"/>
       </td>

        <td width="60px">&nbsp;</td>

         <td>
             <asp:Label ID="lblCompanyName" runat="server" CssClass="SmithProdText"/><br />
            <asp:Label ID="lblOwnerType" runat="server" CssClass="SmithProdText"/>
       </td>
     </tr>
   
</table>

<br />

<table>
 <tr><td>

    <%--Confirm Deposit Grid--%>

    <asp:GridView ID="grdDepositConfirm" AutoGenerateColumns="False" runat="server" DataKeyNames="ProductID" RowStyle-VerticalAlign="Middle" CellPadding="5" Width="100%" CssClass="GridCells"
         OnRowDataBound="grdDepositConfirm_RowDataBound" >
        <HeaderStyle CssClass="GridHeader"/> 

        <Columns>

            <asp:TemplateField HeaderText="Deposit" ItemStyle-CssClass="GridCells">
              <ItemTemplate>
                <%# Container.DataItemIndex + 1 %>
              </ItemTemplate>
            </asp:TemplateField>
        
            <asp:TemplateField HeaderText="ProductID" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblProductID" runat="server" Text='<%#Eval("ProductID") %>' />
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="Product Name" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblProductName" runat="server" Text='<%#Eval("ProductName") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Other Product Name" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblOtherProductName" runat="server" Text='<%#Eval("OtherProductName") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="CategoryID" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblCategoryID" runat="server" Text='<%#Eval("CategoryID") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Category Name" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblCategoryName" runat="server" Text='<%#Eval("CategoryName") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Unit Price" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblAmount" runat="server" Text='<%# Eval("Amount","{0:f}") %>'/>
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Quantity" HeaderStyle-Width="50%" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblQuantity" runat="server" Text='<%#Eval("Quantity") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Line Total" HeaderStyle-CssClass="GridHeader" HeaderStyle-HorizontalAlign="Center" HeaderStyle-Width="100px" ItemStyle-CssClass="GridCellsRight" ItemStyle-HorizontalAlign="Right">
                <ItemTemplate>
                    <asp:label ID="lblLineTotal" runat="server" />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Notes" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblNotes" runat="server" Text='<%#Eval("Notes") %>' />
                </ItemTemplate>
            </asp:TemplateField>
           
        </Columns>

    </asp:GridView>

    </td></tr>
</table>
<br />
<table ID="tblNotes" runat="server">
    <tr>
        <td><asp:Label ID="Label7" runat="server" Text="Notes:" CssClass="SmithProdText"/></td>
        <td><asp:TextBox ID="txtNotes" runat="server" TextMode="MultiLine" Width="300px" /></td>
    </tr>
</table>

<asp:Panel ID="pnlConfirmBtns" runat="server">

<ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="btnDepositConfirmBack" runat="server" OnClick="btnDepositConfirmBack_Click" CssClass="dnnSecondaryAction" Text="Back" CausesValidation="false" /></li>
    <li><asp:LinkButton ID="btnDepositSubmit" runat="server" OnClick="btnDepositSubmit_Click" CssClass="dnnPrimaryAction" Text="Submit Deposit" /></li>
   
</ul>

</asp:Panel>

<asp:Panel ID="pnlConfirmStatusBtns" runat="server" Visible="false">

<ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="btnConfirmStatusRedirect" runat="server" OnClick="btnConfirmStatusRedirect_Click" CssClass="dnnPrimaryAction" Text="Continue" CausesValidation="false" /></li>
   
</ul>

</asp:Panel>


  </asp:View>

</asp:MultiView>


<%--<asp:HiddenField ID="hdCustomerID" runat="server" />--%>

