﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.Registration.ViewInvoice" Codebehind="ViewInvoice.ascx.cs" %>

<link type="text/css" href='<%= ResolveUrl("~/DesktopModules/SmithCommon/css/scDateTime.css") %>' rel="stylesheet" />
<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDateTime.js") %>'></script>


<asp:MultiView runat="server" ID="mvMain">

  <asp:View ID="viewInvoice" runat="Server">

<table>
      <tr><td align="left" colspan="2"><h2>My Invoices</h2></td></tr>

     <tr ID="trDateFilter" runat="server" align="left">
        <td colspan="2">
            <div style="display:inline-table;">
                Date From:&nbsp;&nbsp;
                 <input ID="txtFromDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                 <script type="text/javascript">
                     $('[id$="txtFromDate"]').datetimepicker({
                         format: 'm/d/Y',
                         timepicker: false
                     });
                </script>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </div>
            <div style="display:inline-table;">
                Date To:&nbsp;&nbsp;
                 <input ID="txtToDate" runat="server" Width="80%" CssClass="scTxtBoxLimit250" />
                  <script type="text/javascript">
                      $('[id$="txtToDate"]').datetimepicker({
                          format: 'm/d/Y',
                          timepicker: false
                      });
                 </script> 
            </div>
        </td>
    </tr>
    <tr><td>&nbsp;</td></tr>
    <tr align="left">
        <td class="SmithProdText" colspan="2">Pay Status:&nbsp;&nbsp; 
             <asp:DropDownList ID="ddlPayStatusSearch" runat="server" Width="122px">
                <asp:ListItem Text="All" Value="All" ></asp:ListItem>
                <asp:ListItem Text="Paid" Value="Paid" ></asp:ListItem>
                <asp:ListItem Text="Unpaid" Value="Unpaid" ></asp:ListItem>
             </asp:DropDownList> &nbsp;
            <%--<asp:TextBox ID="txtSearch" runat="server" Width="141px"/>--%>&nbsp; 
             <asp:LinkButton ID="btnFilter" runat="server" OnClick="btnFilter_Click" Text="Search" CssClass="dnnPrimaryAction" />&nbsp;&nbsp
            <asp:LinkButton ID="btnShowAll" runat="server" OnClick="btnShowAll_Click" Text="Clear" CssClass="dnnSecondaryAction" /> 
        </td>
    </tr>
	<tr><td>&nbsp;</td></tr>
    <tr id="trMessage" runat="server" Visible="false"><td style="height:35px" colspan="2"><asp:Label ID="lblMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" /></td></tr>
</table>

     <asp:GridView ID="grdInvoice" DataKeyNames="InvoiceID" AllowSorting="false" runat="server" AutoGenerateColumns="false" GridLines="None" OnRowDataBound="grdInvoice_RowDataBound" 
         CssClass="scAdminGrid2"
        AlternatingRowStyle-CssClass="alt">
 
        <Columns>
            <asp:TemplateField HeaderStyle-Width="60px">
                <ItemTemplate>
                    <%--<asp:LinkButton ID="lkViewInvoice" runat="server" Text="View Invoice" OnClick="lkViewInvoice_Click" CausesValidation="false" />--%>
                    <asp:HyperLink ID="hlInvoice" runat="server" NavigateUrl='<%#BuildPrintInvoiceLink(DataBinder.Eval(Container.DataItem,"InvoiceID")) %>'
                       Target="_blank" CssClass="scMyAcctBtn" resourcekey="Invoice" />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:LinkButton ID="lkBuy" runat="server" resourcekey="lkBuy" OnClick="lkBuy_Click" CausesValidation="false" CssClass="scMyAcctBtn" />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField Visible="false">
                <ItemTemplate>
                    <asp:LinkButton ID="lkViewSub" runat="server" Text="Select" OnClick="lkViewSub_Click" CausesValidation="false" CssClass="scMyAcctBtn" />
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="CustomerID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblCustomerID" runat="server" Text='<%#Eval("CustomerID") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
        
            <asp:TemplateField HeaderText="Invoice ID" SortExpression="InvoiceID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblInvoiceID" runat="server" Text='<%#Eval("InvoiceID") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

               <asp:TemplateField HeaderText="Invoice No." SortExpression="InvoiceNo" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblInvoiceNo" runat="server" Text='<%#Eval("InvoiceNo") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Invoice Date" SortExpression="InvoiceDate" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblInvoiceDate" runat="server" Text='<%# loadDate(Eval("InvoiceDate")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="Invoice Total" SortExpression="GrandTotal" HeaderStyle-HorizontalAlign="Center" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Right">
                <ItemTemplate>
                    <asp:Label ID="lblGrandTotal" runat="server" Text='<%#Eval("GrandTotal","{0:n}") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Pay Status" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblPayStatus" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"PayStatus") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
                    
            <asp:TemplateField HeaderText="Company Name" SortExpression="CompanyName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblCompanyName" runat="server" Text='<%#Eval("CompanyName") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
                    
            <asp:TemplateField HeaderText="First Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblFirstName" runat="server" Text='<%#Eval("FirstName") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
                    
            <asp:TemplateField HeaderText="Last Name" SortExpression="LastName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
            <ItemTemplate>
                    <asp:Label ID="lblLastName" runat="server" Text='<%#Eval("LastName") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Address" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblAddress1" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Address1") %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="City" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblCity" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"City") %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="State" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblState" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"State") %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Zip" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblZip" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Zip") %>' />
                </ItemTemplate>
            </asp:TemplateField>
                <asp:TemplateField HeaderText="Country" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblCountry" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Country") %>' />
                </ItemTemplate>
            </asp:TemplateField>
                    
        </Columns>
        <EmptyDataTemplate>
                <table width="100%">
                    <tr>
                        <td align="center">No invoices found.</td>
                    </tr>
                </table>
            </EmptyDataTemplate>
     </asp:GridView>


</asp:View>

<%--Pay Now Section--%>

 <asp:View ID="viewPayForm" runat="server">

<div class="myBtnCenter2"><asp:Label ID="Label1" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" /></div>

<table id="tblPayPopup">

        <tr align="left"><td colspan="2"><h2>Pay My Invoice</h2></td></tr>

       <!-- Invoice ID -->
        <tr id="trInvoiceID" runat="server" align="left" visible="false">
            <td class="SmithProdText" style="height:35px" >Invoice Number:</td>
            <td align="left"><asp:Label ID="lblInvoiceID" runat="server" CssClass="SmithProdText" /></td>
        </tr>

        <!-- Invoice No -->
        <tr id="trInvoiceNo" runat="server" align="left">
            <td class="SmithProdText" style="height:35px">Invoice Number:</td>
            <td align="left"><asp:Label ID="lblInvoiceNo" runat="server" CssClass="SmithProdText" /></td>
        </tr>

        <tr>
            <td><asp:Label ID="lblAmountLabel" runat="server" class="SmithProdText" style="height:35px" resourcekey="lblAmountLabel" /></td>
            <td><asp:Label ID="lblAmount" runat="server" CssClass="SmithProdText" resourcekey="lblAmount" /></td>
        </tr>
        
        <%--Surcharge--%>
        <tr id="trSurcharge" runat="server" visible="false">
            <td><%= Localization.GetString("lblSurcharge.Text", LocalResourceFile)%></td>
            <td><asp:Label ID="lblSurchargeAmount" runat="server" /></td>
        </tr>
        
        <tr id="trPayMethod" runat="server" >
            <td><asp:Label ID="lblPayMethod" runat="server" CssClass="SmithProdText" resourcekey="lblPayMethod" /><font color="red">&nbsp;*</font>&nbsp;&nbsp;</td>
            <td class="SmithProdText" style="height:35px">
                <asp:DropDownList ID="ddlPaymentMethod" CssClass="SmithDropdownRequired" runat="server" Width="200px" AutoPostBack="True" OnSelectedIndexChanged="ddlPaymentMethod_SelectedIndexChanged">
                </asp:DropDownList>
            </td>
        </tr>

         <!-- Card Number -->
        <tr id="trCreditCardNumber" runat="server" >
            <td class="SmithProdText" style="height:35px" align="left" >
                <asp:Label ID="lblAcctLabel" runat="server" CssClass="SmithProdText" resourcekey="lblAcctLabel"/>
                <font color="red">&nbsp;*</font>&nbsp;&nbsp;
            </td>
            <td nowrap="nowrap" align="left" class="SmithProdText">
                <asp:TextBox ID="txtAccountNumber" runat="server" Columns="50" MaxLength="16" Width="200px" AutoCompleteType="Disabled" ValidationGroup="PayPopup"/>&nbsp;
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtAccountNumber" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="PayPopup"/>
                <asp:Label ID="lblCardMsg" runat="server" CssClass="SmithRequiredText"/>
            </td>
        </tr>
        
        <tr id="trCreditCardMessage" runat="server">
            <td>&nbsp;</td>
            <td nowrap="nowrap" align="left" class="SmithProdText"><%= Localization.GetString("txtSpaces_Dashes.Text", LocalResourceFile)%></td>
        </tr>
    
        <!-- Credit Card Expiration Date -->
	    <tr runat="server" id="trExpirationDate" align="left">
            <td class="SmithProdText" style="height:35px"><%= Localization.GetString("txtExpiration_Date.Text", LocalResourceFile)%><font color="red">&nbsp;*</font>&nbsp;&nbsp;</td>
            <td>
                <asp:DropDownList ID="ddlExpireMonth" runat="server">
                    <asp:ListItem Value="01">01</asp:ListItem>
                    <asp:ListItem Value="02">02</asp:ListItem>
                    <asp:ListItem Value="03">03</asp:ListItem>
                    <asp:ListItem Value="04">04</asp:ListItem>
                    <asp:ListItem Value="05">05</asp:ListItem>
                    <asp:ListItem Value="06">06</asp:ListItem>
                    <asp:ListItem Value="07">07</asp:ListItem>
                    <asp:ListItem Value="08">08</asp:ListItem>
                    <asp:ListItem Value="09">09</asp:ListItem>
                    <asp:ListItem Value="10">10</asp:ListItem>
                    <asp:ListItem Value="11">11</asp:ListItem>
                    <asp:ListItem Value="12">12</asp:ListItem>
                </asp:DropDownList>
                <asp:DropDownList ID="ddlExpireYear" runat="server" >
                
                </asp:DropDownList>
            </td>
        </tr>

        <!-- Credit Card Security Code -->
        <tr runat="server" id="trSecurityCode" align="left">
            <td nowrap="nowrap" class="SmithProdText" style="height:35px"><%= Localization.GetString("txtCard_Security_Code.Text", LocalResourceFile)%><font color="red">&nbsp;*</font>&nbsp;&nbsp;</td>
            <td align="left">
                <asp:TextBox ID="txtCVV2" runat="server" Columns="6" MaxLength="4" AutoCompleteType="Disabled" ValidationGroup="PayPopup"/>&nbsp;&nbsp;
                <asp:LinkButton ID="lbCVV" resourcekey="lbCVV" runat="server" Font-Underline="true" CausesValidation="false"/>
                <asp:CompareValidator ID="cvCVV" runat="server" Resourcekey="Enter_Number" ControlToValidate="txtCVV2" Operator="DataTypeCheck" Type="Integer" CssClass="SmithRequiredText" ValidationGroup="PayPopup"/>
            </td>
        </tr>

         <!-- ACH Account Number -->
        <tr runat="server" id="trACHAccountNumber" visible="false">
            <td style="height:30px">
                <asp:Label ID="lblACHAccountNumber" runat="server" CssClass="SmithProdText" />
            </td>
            <td align="left"  >
                <asp:TextBox ID="txtACHAccountNumber" runat="server" Columns="50" MaxLength="50" Width="200px"/>&nbsp;
                <%--<asp:RequiredFieldValidator ID="rfvACHAccountNumber" runat="server" ControlToValidate="txtACHAccountNumber" Display="Static" resourcekey="Required"/>--%>
            </td>
        </tr>

        <!-- ACH Routing Number -->
	    <tr runat="server" id="trACHRountingNumber" visible="false" >
            <td style="height:30px">
                <asp:Label ID="lblACHRoutingNumber" runat="server" CssClass="SmithProdText" />&nbsp;&nbsp;
            </td>
            <td>
                <asp:TextBox ID="txtRoutingNo" CssClass="SmithTextboxRequired" runat="server" Columns="15" Width="200px"/>&nbsp;
                <%--<asp:RequiredFieldValidator ID="rfvRoutingNo" runat="server" ControlToValidate="txtRoutingNo" Display="Static" resourcekey="Required"/>--%>
            </td>
        </tr>

        <!-- ACH Description/Bank Name-->
        <tr runat="server" id="trACHDescription" visible="false">
            <td style="height:30px" class="SmithProdText"><%= Localization.GetString("txtBank_Name.Text", LocalResourceFile)%>&nbsp;&nbsp;</td>
            <td align="left"  >
                <asp:TextBox ID="txtDescription" CssClass="SmithTextboxRequired" runat="server" Columns="60" MaxLength="60" Width="200px" />&nbsp;
                <%--<asp:RequiredFieldValidator ID="rfvDescription" runat="server" ControlToValidate="txtDescription" Display="Static" resourcekey="Required"/>--%>
            </td>
        </tr>

        <!-- Name -->
        <tr id="trName" runat="server" align="left">
            <td  nowrap="nowrap" class="SmithProdText" style="height:35px" ><%= Localization.GetString("txtName_Account.Text", LocalResourceFile)%><font color="red">&nbsp;*</font>&nbsp;&nbsp;</td>
            <td  align="left">
                <asp:TextBox ID="txtName" runat="server" Columns="60" MaxLength="60" Width="200px" ValidationGroup="PayPopup"/>&nbsp;
                <asp:RequiredFieldValidator ID="rfvName" runat="server" ControlToValidate="txtName" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="PayPopup"/>
            </td>
        </tr>

        <!-- Address -->
        <tr align="left">
            <td  nowrap="nowrap" class="SmithProdText" style="height:35px"><%= Localization.GetString("txtStreet_Address.Text", LocalResourceFile)%><font color="red">&nbsp;*</font>&nbsp;&nbsp;</td>
            <td  align="left">
                <asp:TextBox ID="txtAddress" runat="server" Columns="60" MaxLength="60" Width="200px" ValidationGroup="PayPopup"/>&nbsp;
                <asp:RequiredFieldValidator ID="rfvStreetAddress" runat="server" ControlToValidate="txtAddress" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="PayPopup"/>
            </td>
        </tr>

        <!-- City -->
        <tr align="left">
            <td  class="SmithProdText" style="height:35px"><%= Localization.GetString("txtCity.Text", LocalResourceFile)%><font color="red">&nbsp;*</font>&nbsp;&nbsp;</td>
            <td align="left">
                <asp:TextBox ID="txtCity" runat="server" MaxLength="50" Width="200px" ValidationGroup="PayPopup"/>&nbsp;
                <asp:RequiredFieldValidator ID="rfvCity" runat="server" Display="Dynamic" ControlToValidate="txtCity" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="PayPopup"/>
            </td>
        </tr>

        <!-- Country -->
        <tr>
            <td class="SmithProdText" style="height:35px"><%= Localization.GetString("txtCountry.Text", LocalResourceFile)%><font color="red">&nbsp;*</font>&nbsp;&nbsp;</td>
            <td align="left">
                <asp:DropDownList ID="ddlCountry" Width="200px" runat="server" OnSelectedIndexChanged="ddlCountry_SelectedIndexChanged" AutoPostBack="True"  AppendDataBoundItems="true" ValidationGroup="PayPopup">
                    <asp:ListItem resourcekey="Select_Country" Value="0"></asp:ListItem>
                </asp:DropDownList>&nbsp;
                <asp:RequiredFieldValidator ID="rfvddlCountry" resourcekey="Required" runat="server" ControlToValidate="ddlCountry" InitialValue="0" Width="74px" CssClass="SmithRequiredText" Display="Dynamic" ValidationGroup="PayPopup"/>
            </td>
        </tr>

         <!-- State -->
        <tr runat="server" id="trtxtState">
            <td align="left" class="SmithProdText" style="height:35px"><%= Localization.GetString("txtState_Region.Text", LocalResourceFile)%><font color="red">&nbsp;*</font>&nbsp;&nbsp;</td>
            <td align="left">
                <asp:DropDownList ID="ddlState" runat="server" Width="200px" CssClass="SmithProdText" ValidationGroup="PayPopup"></asp:DropDownList>
                <asp:TextBox ID="txtState" runat="server" Visible="false" Width="200px" MaxLength="50"/>&nbsp;
                <asp:RequiredFieldValidator ID="rfvState" Display="Dynamic" runat="server" ControlToValidate="ddlState" Width="74px" InitialValue="0" CssClass="SmithRequiredText" resourcekey="Required" ValidationGroup="PayPopup" />
            </td>
        </tr>

         <!-- Zip Code -->
        <tr>
            <td align="left"  nowrap="nowrap" class="SmithProdText" style="height:35px"><%= Localization.GetString("txtZip_Code.Text", LocalResourceFile)%><font color="red">&nbsp;*</font>&nbsp;&nbsp;</td>
            <td align="left">
                <asp:TextBox ID="txtZip" runat="server" Columns="6" Width="100px" ValidationGroup="PayPopup"/>&nbsp;
                <asp:RequiredFieldValidator ID="rfvZip" runat="server" ControlToValidate="txtZip" Display="Dynamic" resourcekey="Required" CssClass="SmithRequiredText" ValidationGroup="PayPopup"/>
            </td>
        </tr>

</table>

<ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="ibSubmitPayment" runat="server" OnClick="ibSubmitPayment_Click" CssClass="dnnPrimaryAction" Text="Submit Payment" resourcekey="ibSubmitPayment.Text" ValidationGroup="PayPopup" /></li>
    <li><asp:LinkButton ID="ibCancel" runat="server" OnClick="ibCancel_Click" CssClass="dnnSecondaryAction" Text="Return" resourcekey="ibCancel.Text" CausesValidation="false" /></li>
</ul>

<div><asp:Label ID="lblPayMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Visible="false" Text="Payment Processed Successfully" /></div>

</asp:View>

</asp:MultiView>


<asp:HiddenField ID="hdInvoiceID" runat="server" />
<asp:HiddenField ID="hdBillingMgrTabID" runat="server" />
<asp:HiddenField ID="hdRegTabID" runat="server" />
<asp:HiddenField ID="hdPayMethods" runat="server" />
<asp:HiddenField ID="hdBalance" runat="server" />

<asp:HiddenField ID="hdSubTotal" runat="server" />
<asp:HiddenField ID="hdCustomerID" runat="server" />
<%--<asp:HiddenField ID="hdPayHistID" runat="server" />--%>
<asp:HiddenField ID="hdGateway" runat="server" />
<asp:HiddenField ID="hdSmithTax" runat="server" />

<%-- <asp:HiddenField ID="hdOrderID" runat="server" />
<asp:HiddenField ID="hdBuyNowTabID" runat="server" />
<asp:HiddenField ID="hdBuyNowTabModuleID" runat="server" />--%>

