﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.ManageOrderDetail" Codebehind="ManageOrderDetail.ascx.cs" %>

<script type="text/javascript">
    jQuery(function ($) {
        $('#tabs-demo').dnnTabs();
    });
</script>   


<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />

<span class="Smith18Bold">Registration Detail</span>

<div id="scContainer">
    <div class="scBox1">
        <table>
            <tr>
                <td class="SmithBold">Pay ID:</td>
                <td><asp:Label ID="lblPayHistID" runat="server" /></td>
            </tr>
            <tr>
                <td class="SmithBold">Customer:&nbsp;</td>
                <td><asp:Label id="lblCustName" runat="server" /></td>
            </tr>
            <tr>
                <td class="SmithBold">Pay Date:&nbsp;</td>
                <td><asp:Label id="lblPayDate" runat="server"/></td> 
            </tr>
        </table>
    </div>

    <div class="scBox1">
        <table>
            <tr>
                <td class="SmithBold">Product Name:&nbsp;</td>
                <td><asp:TextBox ID="txtProductName" runat="server" Width="250px" /></td>
            </tr>
            <tr>
                <td class="SmithBold">Quantity:</td>
                <td><asp:TextBox ID="txtQuantity" runat="server" Width="75px" /></td>
            </tr>
        </table>
    </div>
</div>


<div class="dnnForm" id="tabs-demo">
    <ul class="dnnAdminTabNav">
        <li class="Customer"><a href="#Customer">Customer</a></li>
        <li><a href="#Billing">Billing</a></li>
        <li><a href="#CustomerAttributes">Custom Fields</a></li>
        <li><a href="#FileUploads">File Uploads</a></li>
        <li><a href="#SerialNumbers">Serial Numbers</a></li>
    </ul>
    
    <%--Customer info Tab--%>

    <div id="Customer" class="dnnClear">
        <div class="dnnLeft" style="width:100%;">

        <table cellspacing="1" cellpadding="5" border="0">
            <tr>
                <td>Customer ID:</td>
                <td><asp:Label id="lblCustomerID" runat="server" /></td>
            </tr>
            <tr>
                <td>First Name:</td>
                <td><asp:TextBox ID="txtFname" runat="server"   /></td>
            </tr>
            <tr>
                <td>Last Name:</td>
                <td> <asp:TextBox ID="txtLname" runat="server" /></td>
            </tr>
            <tr align="left">
                <td>Company Name:</td>
                <td><asp:TextBox ID="txtCompanyName" runat="server"  /></td>
            </tr>

            <tr>
                <td>Address:</td>
                <td><asp:TextBox ID="txtAddress" runat="server" Width="230px" /> </td>
            </tr>
            <tr>
                <td>Address1:</td>
                <td><asp:TextBox ID="txtAddress1" runat="server" /> </td>
            </tr>
            <tr>
                <td>City:</td>
                <td> <asp:TextBox ID="txtCity" runat="server" /></td>
            </tr>
            <tr>
                <td>Country:</td>
                <td>
                    <asp:DropDownList ID="ddCountry" runat="server"  OnSelectedIndexChanged="ddCountry_SelectedIndexChanged"
                        AutoPostBack="True" AppendDataBoundItems="true">
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td>State/Region:</td>
                <td>
                    <asp:DropDownList ID="ddState" runat="server">
                    </asp:DropDownList>
                    <asp:TextBox ID="txtState" runat="server" Visible="false" MaxLength="60" />
                </td>
            </tr>
            <tr>
                <td>Postal Code:</td>
                <td> <asp:TextBox ID="txtZip" runat="server" /> </td>
            </tr>
            <tr>
                <td>Email:</td>
                <td><asp:TextBox ID="txtEmail" runat="server" Width="230px" /> </td>
            </tr>
            <tr>
                <td>Primary Phone:</td>
                <td> <asp:TextBox ID="txtPriPhone" runat="server" /></td>
            </tr>
            <tr>
                <td>Other Phone:</td>
                <td><asp:TextBox ID="txtSecPhone" runat="server" /> </td>
            </tr>
            <tr>
                <td nowrap="nowrap">DNN Login:</td>
                <td><asp:TextBox ID="txtDNNLogin" runat="server" /></td>
            </tr>
            <tr>
                <td nowrap="nowrap">Date Created:&nbsp;&nbsp;</td>
                <td><asp:Label ID="lblDateCreated" runat="server" /></td>
            </tr>
        </table>
        <table>
            <tr><td style="height: 20px"></td></tr>
            <tr>
                <td>
                    Comments:<br />
                    <asp:TextBox ID="txtComments" runat="server" Width="670px" TextMode="MultiLine" Height="150px"/>
                </td>
            </tr>
    
        </table>

        </div>
    </div>

    <%--Billing info Tab--%>

    <div id="Billing" class="dnnClear">
       <div class="dnnLeft" style="width:100%;">
        
        <br />

    <div class="scWrapperMain">
       <div id="scWrapperLeft">
        <table cellspacing="1" cellpadding="5" border="0">
            <tr>
                <td>First Name:</td>
                <td><asp:TextBox ID="txtFirstName" runat="server" /></td>
            </tr>
             <tr>
                <td>Last Name:</td>
                <td><asp:TextBox ID="txtLastName" runat="server" /></td>
            </tr>
            <tr>
                <td>Amount:</td>
                <td><asp:TextBox ID="txtAmount" runat="server" /></td>
            </tr>
             <tr>
                <td>Pay Type:</td>
                <td><asp:TextBox ID="txtPayType" runat="server" /></td>
            </tr>
            <tr>
                <td>Credit Card No:</td>
                <td><asp:TextBox ID="txtCCNo" runat="server" /> </td>
            </tr>
            <%--<tr>
                <td>CVV Code:</td>
                <td> <asp:TextBox ID="txtCVV" runat="server" />  </td>
            </tr>--%>
            <tr>
                <td>Exp. Date:</td>
                <td> <asp:TextBox ID="txtExpDate" runat="server" />  </td>
            </tr>
            <tr>
                <td>Billing Address:</td>
                <td> <asp:TextBox ID="txtBillAddress" runat="server" />  </td>
            </tr>
            <tr>
                <td>Billing City:</td>
                <td> <asp:TextBox ID="txtBillCity" runat="server"  /> </td>
            </tr>
            <tr>
                <td>Billing Country:</td>
                <td>
                    <asp:DropDownList ID="ddBillCountry" runat="server" AppendDataBoundItems="true" AutoPostBack="True"
                         OnSelectedIndexChanged="ddBillCountry_SelectedIndexChanged" >
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td>State/Reqion:</td>
                <td>
                    <asp:DropDownList ID="ddBillState" runat="server" ></asp:DropDownList>
                    <asp:TextBox ID="txtBillState" runat="server"  MaxLength="50" Visible="false" />
                </td>
            </tr>
            <tr>
                <td>Postal Code:</td>
                <td><asp:TextBox ID="txtBillZip" runat="server" /> </td>
            </tr>
            <tr>
                <td>Invoice No:</td>
                <td><asp:TextBox ID="txtInvoiceNo" runat="server" /></td>
            </tr>
             <tr>
                <td>Coupon Code:</td>
                <td><asp:TextBox ID="txtCouponCode" runat="server" /></td>
            </tr>
        </table>
       </div>

      <div id="scWrapperRight">
           <div class="scBox2">

        <table cellpadding="5" width="100%" border="0">
            <tr><td colspan="2"><span class="SmithText16">Transaction Results</span></td></tr>
            <tr>
                <td>Paid:</td>
                <td><asp:CheckBox ID="chkSuccess" runat="server" /> </td>
            </tr>
            <tr>
                <td>TransactionID</td>
                <td> <asp:TextBox ID="txtTransID" runat="server" /> </td>
            </tr>
            <tr>
                <td>Auth Code:</td>
                <td><asp:TextBox ID="txtAuthCode" runat="server" /> </td>
            </tr>
            <tr>
                <td>Message:</td>
                <td><asp:TextBox ID="txtPayStatus" runat="server" /> </td>
            </tr>
            <tr>
                <td>Notes:</td>
                <td><asp:TextBox ID="txtPayMsg" runat="server" /> </td>
            </tr>
        </table>
        </div>
      </div>
    </div>
    
        </div>
    </div>



    <%--File Upload Tab--%>
    
    <div id="FileUploads" class="dnnClear">
       <div class="dnnLeft" style="width:100%;">
    
        <br />
        <asp:DataGrid ID="dgFileUpload" runat="server" AutoGenerateColumns="False" CssClass="cssMain" CellPadding="4" OnItemCommand="dgFileUpload_ItemCommand" OnItemDataBound="dgFileUpload_ItemDataBound">
            <HeaderStyle CssClass="GridHeader" /> 
            <Columns>
                          
                <asp:TemplateColumn ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Center" Visible="False">
                    <ItemTemplate>
                        <asp:Button ID="btnRunMonthEnd" runat="server" CausesValidation="false" CommandName="runMonthEnd" Text="Reload"  />
                    </ItemTemplate>
                </asp:TemplateColumn>

                <asp:TemplateColumn HeaderText="PayHist ID" Visible="False">
                    <ItemTemplate>
                        <asp:Label ID="lblPayHistID" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"PayHistID") %>' />
                    </ItemTemplate>
                </asp:TemplateColumn>
            
                <asp:TemplateColumn HeaderText="File Name" SortExpression="FileName" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <%--<asp:Label ID="lblFileName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"FileName") %>' Width="300px"></asp:Label>--%>
                        <asp:HyperLink ID="fileLink" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"FileName") %>'  Width="300px" NavigateUrl='' Target="_blank" />
                    </ItemTemplate>
                </asp:TemplateColumn>
                          
                    <asp:TemplateColumn HeaderText="User Name" SortExpression="UserName" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblUserName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.UserName")) %>' />
                    </ItemTemplate> 
                </asp:TemplateColumn>
            
                <asp:TemplateColumn HeaderText="Upload Date" SortExpression="CreateDate" HeaderStyle-HorizontalAlign="Left">
                    <ItemTemplate>
                        <asp:Label ID="lblCreateDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"CreateDate")) %>' />
                    </ItemTemplate>
                </asp:TemplateColumn> 
           
            </Columns>
            <%--  <PagerStyle Position="TopAndBottom" NextPageText="Next >" PrevPageText="< Prev"></PagerStyle>--%>
        </asp:DataGrid>
                   
         </div>
    </div>


    <%--Serial Numbers Tab--%>

   <div id="SerialNumbers" class="dnnClear">
       <div class="dnnLeft" style="width:100%;">
      
        <br />
        <asp:DataGrid ID="DataGrid1" runat="server" AutoGenerateColumns="False" CssClass="cssMain" CellPadding="4" GridLines="Horizontal" OnItemCommand="DataGrid1_ItemCommand" Width="100%">
            <HeaderStyle CssClass="GridHeader" /> 
            <Columns>
                          
                <asp:TemplateColumn ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Center">
                    <ItemTemplate>
                    <asp:Button ID="btnRunMonthEnd" runat="server" CausesValidation="false" CommandName="runMonthEnd" Text="Reload"  />
                </ItemTemplate>
            </asp:TemplateColumn>

                <asp:TemplateColumn HeaderText="Customer ID" Visible="False">
                    <ItemTemplate>
                        <asp:Label ID="lblCustomerID" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"CustomerID") %>' />
                    </ItemTemplate>
                </asp:TemplateColumn>
           
                <asp:TemplateColumn HeaderText="Sign Up<br>Date" SortExpression="DateCreated" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblCreateDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"DateCreated")) %>' />
                    </ItemTemplate>
                </asp:TemplateColumn> 
           
                <%-- <asp:TemplateColumn HeaderText="First Name" SortExpression="firstname" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblFirstName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.firstname")) %>'> </asp:Label>
                    </ItemTemplate>  
                </asp:TemplateColumn>
            
                <asp:TemplateColumn HeaderText="Last Name" SortExpression="lastname" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblLastName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.lastname")) %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateColumn>--%>
            
                <asp:TemplateColumn HeaderText="Email" SortExpression="email" Visible="false">
                    <ItemTemplate>
                        <asp:Label ID="lblEmail" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.email")) %>' />
                    </ItemTemplate>
                </asp:TemplateColumn>
            
                <%-- <asp:TemplateColumn HeaderText="Address" SortExpression="address1" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblAddress" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.address1")) %>' Width="150px"></asp:Label>
                    </ItemTemplate>
                </asp:TemplateColumn>
            
                <asp:TemplateColumn HeaderText="City" SortExpression="city" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblCity" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.city")) %>'></asp:Label>
                    </ItemTemplate>  
                </asp:TemplateColumn>
            
                <asp:TemplateColumn HeaderText="State" SortExpression="state" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblState" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.state")) %>' Width="5px"></asp:Label>
                    </ItemTemplate>
                    <ItemStyle Width="10px" />
                </asp:TemplateColumn>
            
                <asp:TemplateColumn HeaderText="Country" SortExpression="country" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblCountry" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.country")) %>' Width="5px"></asp:Label>
                    </ItemTemplate>
                </asp:TemplateColumn>
            
                <asp:TemplateColumn HeaderText="Zip" SortExpression="zip" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblZip" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.zip")) %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateColumn>
            
                <asp:TemplateColumn HeaderText="Phone" SortExpression="homephone" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <HeaderStyle Wrap="False" />
                    <ItemStyle Wrap="False" />
                    <ItemTemplate>
                        <asp:Label ID="lblPhone" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.homephone")) %>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateColumn>--%>
            
                    <asp:TemplateColumn HeaderText="Product Name" SortExpression="ProductName" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblProductName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ProductName") %>' Width="100px" />
                    </ItemTemplate>
                </asp:TemplateColumn>
            
                    <%--<asp:TemplateColumn HeaderText="Status" SortExpression="status" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblStatus1" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.status")) %>'></asp:Label>
                    </ItemTemplate> 
                </asp:TemplateColumn>--%>
            
                <asp:TemplateColumn HeaderText="Amount" Visible="True" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblAmount" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.amount","{0:f}")) %>' />
                    </ItemTemplate>
                </asp:TemplateColumn>
            
                <asp:TemplateColumn HeaderText="SerialNumberID" Visible="False" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblSerialNumberID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.SerialNumberID")) %>' />
                    </ItemTemplate>
                </asp:TemplateColumn>
            
                    <asp:TemplateColumn HeaderText="Serial Number" SortExpression="SerialNumber" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblSerialNumber" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.SerialNumber")) %>' />
                    </ItemTemplate> 
                </asp:TemplateColumn>
           
                <asp:TemplateColumn HeaderText="Serial Number<br>Assigned Date" SortExpression="DateAssigned" HeaderStyle-HorizontalAlign="Left">
                    <ItemTemplate>
                        <asp:Label ID="lblAssignedDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"DateAssigned")) %>' />
                    </ItemTemplate>
                </asp:TemplateColumn>
           
                <asp:TemplateColumn HeaderText="Membership<br>Anniversary Date" SortExpression="OccurDate" HeaderStyle-HorizontalAlign="Left">
                    <ItemTemplate>
                        <asp:Label ID="lblOccurDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"OccurDate")) %>' />
                    </ItemTemplate>
                </asp:TemplateColumn>
            
                <asp:TemplateColumn HeaderText="Membership<br>Expiration Date" SortExpression="ExpirationDate" HeaderStyle-HorizontalAlign="Left">
                    <ItemTemplate>
                        <asp:Label ID="lblExpirationDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"ExpirationDate")) %>' />
                    </ItemTemplate>
                </asp:TemplateColumn> 
           
            </Columns>
            <%--  <PagerStyle Position="TopAndBottom" NextPageText="Next >" PrevPageText="< Prev"></PagerStyle>--%>
        </asp:DataGrid>
                   
        </div>
    </div>

    <%--Customer Attributes Tab--%>

    <div id="CustomerAttributes" class="dnnClear">
       <div class="dnnLeft" style="width:100%;">

        <br />
        <asp:MultiView ID="mvMain" runat="server">
            <asp:View ID="viewGrid" runat="server">
                <div>
                    <asp:Label ID="lblMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" />
                </div>
                <div class="scux-form">
                    <table width="100%">
                        <tr>
                            <td align="center">
                                <asp:GridView ID="grdCustomerAttributes" runat="server" DataKeyNames="AttributeID" AllowSorting="true" AutoGenerateColumns="false" Width="100%" 
                                    OnRowDeleting="grdCustomerAttributes_RowDeleting" OnRowCreated="grdCustomerAttributes_RowCreated" OnSorting="grdCustomerAttributes_Sorting" PageSize="50"
                                     CssClass="scAdminGrid2" GridLines="Horizontal" AlternatingRowStyle-CssClass="alt">
                      
                                    <Columns>
                                        <asp:TemplateField ItemStyle-CssClass="GridCellsLeft">
                                            <ItemTemplate>
                                                <asp:LinkButton ID="lkUpdate" runat="server" OnClick="lkUpdate_Edit" CausesValidation="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/edit.png") %>' /></asp:LinkButton>
                                            </ItemTemplate>
                                        </asp:TemplateField>

                                        <asp:TemplateField HeaderText="Custom Field Name" SortExpression="Name" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                                            <ItemTemplate>
                                                <asp:Label ID="lblName" runat="server" Text='<%#Eval("Name") %>' />
                                            </ItemTemplate>
                                        </asp:TemplateField>
                    
                                        <asp:TemplateField HeaderText="Custom Field Value" SortExpression="Value" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                                            <ItemTemplate>
                                                <asp:Label ID="lblValue" runat="server" Text='<%#Eval("Value") %>' />
                                            </ItemTemplate>
                                        </asp:TemplateField>
                   
                                        <asp:CommandField ShowDeleteButton="True" ButtonType="Image" DeleteImageUrl="~/DesktopModules/SmithRegistration/Images/trash.png" ItemStyle-CssClass="GridCellsRight" />
                                   
                                    </Columns>

                                    <EmptyDataTemplate>No records found.</EmptyDataTemplate>

                                </asp:GridView>
                            </td>
                        </tr>
                        
                         <%--<tr>
                            <td align="center">
                                <asp:LinkButton ID="lbFirst" runat="server" OnClick="lbFirst_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/first.png") %>' /></asp:LinkButton>
                                <asp:LinkButton ID="lbPrev" runat="server" OnClick="lbPrev_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/previous.png") %>' /></asp:LinkButton>
                                <asp:Label ID="lblResult" runat="server" CssClass="SmithProdText"/>
                                <asp:LinkButton ID="lbNext" runat="server" OnClick="lbNext_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/next.png") %>' /></asp:LinkButton>
                                <asp:LinkButton ID="lbLast" runat="server" OnClick="lbLast_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/last.png") %>' /></asp:LinkButton>&nbsp;&nbsp;&nbsp;
                                 Records:&nbsp;
                                <asp:DropDownList ID="ddlRecords" runat="server" Width="57px" OnSelectedIndexChanged="ddlRecords_SelectedIndexChanged" AutoPostBack="True">
                                    <asp:ListItem>10</asp:ListItem>
                                    <asp:ListItem>20</asp:ListItem>
                                    <asp:ListItem>50</asp:ListItem>
                                    <asp:ListItem>100</asp:ListItem>
                                </asp:DropDownList>
                            </td>
                        </tr>  --%>

                    </table>
                </div>
                
            </asp:View>

            <asp:View ID="ViewFields" runat="server">
                <div class="scux-form">
                    <table cellpadding="5">
                        <tr>
                            <td align="left">Custom Field Name:</td>
                            <td align="left">
                                <asp:Label ID="lblAttributeName" runat="server"></asp:Label>
                            </td>
                        </tr>

                        <tr><td></td></tr>

                        <tr>
                            <td  align="left">Custom Field Value:</td>
                            <td align="left">
                                <asp:TextBox ID="txtAttributeValue" runat="server" Width="300px" MaxLength="50" />
                                <asp:RequiredFieldValidator ID="rfvtxtAttributeValue" runat="server" ControlToValidate="txtAttributeValue" CssClass="SmithRequiredText" ErrorMessage="*Required" Display="Dynamic" />
                            </td>
                        </tr>
                    </table>

                </div>
            </asp:View>
        </asp:MultiView>

        </div>
    </div>

</div>


<ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="btnSave" runat="server" OnClick="btnSave_Click" CssClass="dnnPrimaryAction" Text="Save" /></li>
    <li><asp:LinkButton ID="btnBack" runat="server" Text="Return" onclick="btnBack_Click" CssClass="dnnSecondaryAction" CausesValidation="false"/></li>
</ul>
<br />
<asp:Label ID="lblMsg" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully." Visible="false" />

        








