<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.ManageSerialNumbers" Codebehind="ManageSerialNumbers.ascx.cs" %>

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />
  
    
<h2>Manage Serial Numbers</h2>

<asp:GridView ID="grdSerialNumber" runat="server" AutoGenerateColumns="false" OnRowCancelingEdit="grdSerialNumber_RowCancelingEdit" GridLines="None"
    OnRowDeleting="grdSerialNumber_RowDeleting" OnRowEditing="grdSerialNumber_RowEditing" OnRowUpdating="grdSerialNumber_RowUpdating" Width="100%" 
     CssClass="scAdminGrid2" AlternatingRowStyle-CssClass="alt">
   
    <Columns>
         <asp:CommandField ShowEditButton="True" ButtonType="Image" EditImageUrl="~/DesktopModules/SmithRegistration/Images/edit.png" />

        <asp:TemplateField HeaderText="SerialNumberID"  Visible="false">
            <ItemTemplate>
                <asp:Label ID="lblSerialNumberID" runat="server" Text='<%#Eval("SerialNumberID") %>' />
            </ItemTemplate>
        </asp:TemplateField>
                    
        <asp:TemplateField HeaderText="Serial Number" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblSerialNumber" runat="server" Text='<%#Eval("SerialNumber") %>' />
            </ItemTemplate>
            <EditItemTemplate>
                <asp:TextBox ID="txtSerialNumber" runat="server" Text='<%#Eval("SerialNumber") %>' />
            </EditItemTemplate>
        </asp:TemplateField>
                    
        <asp:TemplateField HeaderText="Status" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblStatus" runat="server" Text='<%#Eval("Status") %>' />
            </ItemTemplate>
            <EditItemTemplate>
                <asp:DropDownList ID="ddlStatus" runat="server"> 
                    <asp:ListItem Text="-Select-" Value="0" />
                    <asp:ListItem Text="Available" Value="Available" />
                    <asp:ListItem Text="Assigned" Value="Assigned" />
                    <asp:ListItem Text="Lost" Value="Lost" />
                    <asp:ListItem Text="Stolen" Value="Stolen" />
                </asp:DropDownList>
            </EditItemTemplate>
        </asp:TemplateField>
                        
        <asp:TemplateField HeaderText="Approved" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblApproved" runat="server"  Text ='<%#Boolean.Parse(Eval("NewMember").ToString())?"Yes":"No"%>' />
            </ItemTemplate>
            <EditItemTemplate>
                <asp:CheckBox ID="chkApproved" runat="server" Checked='<%#Eval("NewMember") %>' />
            </EditItemTemplate>
        </asp:TemplateField>

        <asp:TemplateField HeaderText="Customer ID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblCustomerID" runat="server" Text='<%#Eval("CustomerID") %>' />
            </ItemTemplate>
            <EditItemTemplate>
                <asp:TextBox ID="txtCustomerID" runat="server" Text='<%#Eval("CustomerID") %>' />
            </EditItemTemplate>
        </asp:TemplateField>

        <asp:TemplateField HeaderText="Serial Number<br>Assigned Date" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
            <ItemTemplate>
                <asp:Label ID="lblAssignedDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"DateAssigned")) %>' />
            </ItemTemplate>
        </asp:TemplateField>

        <asp:CommandField ShowDeleteButton="True" ButtonType="Image" DeleteImageUrl="~/DesktopModules/SmithRegistration/Images/trash.png" ItemStyle-CssClass="GridCellsRight"/>
    </Columns>

    <EmptyDataTemplate>
        <asp:Label ID="Label1" runat="server" Text="No Serial Numbers Added Yet." />
    </EmptyDataTemplate>
</asp:GridView>

     

