﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.RegAdminMenu" Codebehind="RegAdminMenu.ascx.cs" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>

<%--<script type="text/javascript">
     jQuery(function ($) {
         var setupModule = function () {
             $('#panels-demo').dnnPanels();
             $('#panels-demo .dnnFormExpandContent a').dnnExpandAll({
                 targetArea: '#panels-demo'
             });
         };
         setupModule();
         Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
             setupModule();
         });
     });
</script>--%>   

<link type="text/css" href='<%= ResolveUrl("~/DesktopModules/SmithCommon/css/scDateTime.css") %>' rel="stylesheet" />
<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDateTime.js") %>'></script>  

<script src='<%= ResolveUrl("js/chart.js") %>'></script>
<asp:PlaceHolder ID="PlaceHolder1" runat="server">
<script>
    var randomScalingFactor = function () { return Math.round(Math.random() * 100) };
    var lineChartData = {
        //labels: ["January", "February", "March", "April", "May", "June", "July"],
        labels: <% =this.ChartLabels %>,
        datasets: [
            {
                label: "Daily Sales",
                fillColor: "rgba(151,187,205,0.2)",
                strokeColor: "rgba(151,187,205,1)",
                pointColor: "rgba(151,187,205,1)",
                pointStrokeColor: "#fff",
                pointHighlightFill: "#fff",
                pointHighlightStroke: "rgba(151,187,205,1)",
                //data: [0, 1, 4, 6, 10, 8, 6]
                data: <% =this.ChartData1 %>
                }
        ]
    }

        function DrawChart() {
            var ctx = document.getElementById("canvas").getContext("2d");
            window.myLine = new Chart(ctx).Line(lineChartData, {
                responsive: true
            });
        }
</script>

<script>
    var pieData = [{
        value: <% =this.Total1 %>,
        color: "#F38630",
        label: <% =this.Product1 %>,
        labelColor: 'white',
        labelFontSize: '16'
    },
    {
        value: <% =this.Total2 %>,
        color: "#F34353",
        label: <% =this.Product2 %>,
        labelColor: 'white',
        labelFontSize: '16'
    },
    {
        value: <% =this.Total3 %>,
        color: "#00BFFF",
        label: <% =this.Product3 %>,
        labelColor: 'white',
        labelFontSize: '16'
    },
    {
        value: <% =this.Total4 %>,
        color: "#BBBBBB",
        label: <% =this.Product4 %>,
        labelColor: 'white',
        labelFontSize: '16'
    },
    {
        value: <% =this.Total5 %>,
        color: "#28A828",
        label: <% =this.Product5 %>,
        labelColor: 'white',
        labelFontSize: '16'
    },
    ];

    function DrawPieChart() {
        var myPie = new Chart(document.getElementById("canvas1").getContext("2d")).Doughnut(pieData, {
            animationSteps: 100,
            animationEasing: 'easeInOutQuart'
        });
    }

</script>

</asp:PlaceHolder>
     

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />

 <div class="Smith18Bold scPadBottom10">Registration Dashboard&nbsp;(<asp:Label ID="lblChartTitle" runat="server" CssClass="Smith18Bold" />)&nbsp;-&nbsp;<asp:Label ID="lblTotal" runat="server" /></div>

    <table>
        <tr><td class="scPadTop20"></td></tr>
        <tr align="left">
            <td>
                    Date From:&nbsp;
                        <input ID="txtFromDate" runat="server" class="scTxtBoxDate" />
                        <script type="text/javascript">
                            $('[id$="txtFromDate"]').datetimepicker({
                                format: 'm/d/Y',
                                timepicker: false
                            });
                    </script>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                To:&nbsp;
                        <input ID="txtToDate" runat="server" class="scTxtBoxDate" />
                        <script type="text/javascript">
                            $('[id$="txtToDate"]').datetimepicker({
                                format: 'm/d/Y',
                                timepicker: false
                            });
                        </script> 
                <asp:LinkButton ID="btnFilter" runat="server" OnClick="btnFilter_Click" Text="Filter" CssClass="dnnPrimaryAction" />&nbsp;
                <asp:LinkButton ID="btnClearFilters" runat="server" OnClick="btnClearFilters_Click" Text="Clear" CssClass="dnnSecondaryAction" />
            </td> 
        </tr>
    </table> 

<div class="scReportMain">
    <div style="margin-right:100px">
		<canvas id="canvas" height="350" width="400" ></canvas>
    </div>
    <div >
        <canvas id="canvas1" height="250" width="250"></canvas>

        <%--* Legend *--%>
        <table>
            <tr>
                <td style="background-color:#F38630; width:30px;">&nbsp;</td>
                <td nowrap="nowrap">&nbsp;&nbsp;<span class="scTruncate"><% =this.Product1Legend %></span></td>
            </tr>
            <tr><td></td></tr>
                <tr>
                <td style="background-color:#F34353; width:30px;">&nbsp;</td>
                <td nowrap="nowrap">&nbsp;&nbsp;<span class="scTruncate"><% =this.Product2Legend %></span></td>
            </tr>
            <tr><td></td></tr>
                <tr>
                <td style="background-color:#00BFFF; width:30px;">&nbsp;</td>
                <td nowrap="nowrap">&nbsp;&nbsp;<span class="scTruncate"><% =this.Product3Legend %></span></td>
            </tr>
            <tr><td></td></tr>
            <tr>
                <td style="background-color:#BBBBBB; width:30px;">&nbsp;</td>
                <td nowrap="nowrap">&nbsp;&nbsp;<span class="scTruncate"><% =this.Product4Legend %></span></td>
            </tr>
            <tr><td></td></tr>
            <tr>
                <td style="background-color:#28A828; width:30px;">&nbsp;</td>
                <td nowrap="nowrap">&nbsp;&nbsp;<span class="scTruncate"><% =this.Product5Legend %></span></td>
            </tr>
        </table>
    </div>
</div>




<%--<div><asp:Label ID="lblAccessMsg" runat="server" CssClass="dnnFormMessage dnnFormWarning" resourcekey="AccessDeniedMessage" Visible="false" /></div>
<div class="dnnForm" id="panels-demo">
        <div class="dnnFormExpandContent"><a href="">Expand All</a></div>
<h2 id="StoreDashboard" class="dnnFormSectionHead dnnSectionExpanded"><a href="#">Dashboard</a></h2>
<fieldset class="dnnClear">
    <table align="center" class="StoreMenu" width="600px" >
        <tr>
            <td align="center" valign="bottom"><asp:ImageButton ID="IbManageCustomers" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/manage-customers.gif" onclick="IbManageCustomers_Click"/></td>
            <td align="center" valign="bottom"><asp:ImageButton ID="IbManageSub" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/manage-payhist.gif" onclick="IbManageSub_Click"/></td>
            <td align="center" valign="bottom"><asp:ImageButton ID="IbViewSub" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/subscriptions.png" onclick="IbViewSub_Click"/></td>
        </tr>
        <tr align="center">
           <td><asp:LinkButton ID="lbManageCustomers" runat="server" Text="Customers" onclick="lbManageCustomers_Click" /></td>
           <td><asp:LinkButton ID="lbManageSub" runat="server" Text="Registrations<br>& Payments" onclick="lbManageSub_Click" /></td>
           <td><asp:LinkButton ID="lbViewSub" runat="server" Text="Subscriptions" onclick="lbViewSub_Click" /></td>
        </tr>
       <tr><td>&nbsp;</td></tr>
       <tr>
          <td align="center"><asp:ImageButton ID="IbNewMembers" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/new-members.png" onclick="IbNewMembers_Click"/></td>
          <td align="center"><asp:ImageButton ID="IbTransactions" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/transactions.png" onclick="IbTransactions_Click" /></td>
       </tr>
       <tr align="center">
           <td><asp:LinkButton ID="lbNewMembers" runat="server" Text="New Members" onclick="lbTransactions_Click" /></td>
           <td><asp:LinkButton ID="lbTransactions" runat="server" Text="Transactions" onclick="lbTransactions_Click" /></td>
        </tr>
       <tr><td><br /></td></tr>
    </table>
</fieldset>
<h2 id="StoreSetup" class="dnnFormSectionHead"><a href="#">Setup & Configuration</a></h2>
<fieldset class="dnnClear">
     <table align="center" class="StoreMenu" width="600px" >
         <tr>
            <td align="center" valign="bottom"><asp:ImageButton ID="IbSettings" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/CartSettings.png" onclick="IbSettings_Click" Width="80px" /></td>
            <td align="center"><asp:ImageButton ID="IbManageCategories" runat="server"  ImageUrl="~/DesktopModules/SmithRegistration/Images/manage-cats.gif"  onclick="IbManageCategories_Click"/></td>
            <td align="center" valign="bottom"><asp:ImageButton ID="IbManageProducts" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/products.png"  onclick="IbManageProducts_Click"/></td>
        </tr>
        <tr align="center">
           <td><asp:LinkButton ID="lbSettings" runat="server" Text="Settings" onclick="lbSettings_Click" /></td>
           <td><asp:LinkButton ID="lbManageCategories" runat="server" Text="Categories" onclick="lbManageCategories_Click" /></td>
           <td><asp:LinkButton ID="lbManageProducts" runat="server" Text="Products" onclick="lbManageProducts_Click" /></td>
        </tr>
       <tr><td>&nbsp;</td></tr>
       <tr>
            <td align="center"><asp:ImageButton ID="IbManageCoupons" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/manage-coupons.gif" onclick="IbManageCoupons_Click"/></td>
            <td align="center"><asp:ImageButton ID="IbSerialNumbers" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/serial-numbers.png" onclick="IbSerialNumbers_Click" /></td>
            <td align="center"><asp:ImageButton ID="IbImport" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/import.jpg" onclick="IbImport_Click"/></td>
        </tr>
         <tr align="center">
           <td><asp:LinkButton ID="lbManageCoupons" runat="server" Text="Coupons" onclick="lbManageCoupons_Click" /></td>
           <td><asp:LinkButton ID="lbSerialNumbers" runat="server" Text="Serial Numbers" onclick="lbSerialNumbers_Click" /></td>
           <td><asp:LinkButton ID="lbImport" runat="server" Text="Import" onclick="lbImport_Click" /></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        <tr align="center">
            <td align="center"><asp:ImageButton ID="IbEmailTemplates" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/email-templates.gif" onclick="IbEmailTemplates_Click"/></td>
            <td align="center"><asp:ImageButton ID="IbPageTemplates" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/page-templates.gif" onclick="IbPageTemplates_Click" /> </td>
            <td align="center"><asp:ImageButton ID="IbLicenseKeys" runat="server" ImageUrl="~/DesktopModules/SmithRegistration/Images/LicenseKeys.png" onclick="IbLicenseKey_Click" /></td>
        </tr>
         <tr align="center">
           <td><asp:LinkButton ID="lbEmailTemplates" runat="server" Text="Email Templates" onclick="lbEmailTemplates_Click" /></td>
           <td><asp:LinkButton ID="lbPageTemplates" runat="server" Text="Page Templates" onclick="lbPageTemplates_Click" /></td>
           <td><asp:LinkButton ID="lbLicenseKey" runat="server" Text="License Keys" onclick="lbLicenseKey_Click" /></td>
        </tr>
    </table>
</fieldset>  
</div>--%>

