﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.Registration.ViewSubscriptionHistory" Codebehind="ViewSubscriptionHistory.ascx.cs" %>

<script type="text/javascript" src='<%= ResolveUrl("~/DesktopModules/SmithCommon/js/scDialog.js") %>'></script>

<script type="text/javascript">
    //Called from btnChangeMembership in Change Membership Popup window
    function ChangeMembership() {
        //var newSubInfo = document.getElementById("<%=ddlProduct.ClientID%>").value + "~" + document.getElementById("<%=hdSubscriptionID.ClientID%>").value;
        var newProductID = document.getElementById("<%=ddlProduct.ClientID%>").value;
        __doPostBack('ChangeSubSubmit', newProductID);

    }

    $(function () {
        $dlgChangeSubscription = new scDialog('#dlgChangeSubscription', 380, 300, 'Change Membership');

        $('.lbCancelSubscription').click(function () {
            return confirm('Are you sure you want to cancel your subscription?');
        });
    });
</script>

<script language="javascript" type="text/javascript">
    function showDialog(SubscriptionID, ProductName) {
        //Set hidden field for old subscriptionID user is changing from
        document.getElementById("<%=hdSubscriptionID.ClientID%>").value = SubscriptionID;
        document.getElementById("<%=lblPopopTitleSubFrom.ClientID%>").innerHTML = ProductName;
        $dlgChangeSubscription.open();
        return false;
    }
</script>

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />

  <table width="100%" cellpadding="5">
    <tr height="35px"><td colspan="2"><span class="SmithText16">Search Subscriptions</span></td></tr>
    <tr align="left">
        <td>
           <%-- <asp:DropDownList ID="ddlSearch" runat="server" Width="193px" OnSelectedIndexChanged="ddlSearch_SelectedIndexChanged" Visible="false">
                <asp:ListItem Value="FirstName">FirstName</asp:ListItem>
                <asp:ListItem Value="LastName">LastName</asp:ListItem>
            </asp:DropDownList>--%>
            <asp:TextBox ID="txtSearch" runat="server" Width="250px"></asp:TextBox>
            <asp:LinkButton ID="btnSearch" runat="server" Text="Search" OnClick="btnSearch_Click" CssClass="dnnPrimaryAction" />
            <asp:LinkButton ID="btnShowAll" runat="server" OnClick="btnShowAll_Click" Text="Clear" CssClass="dnnSecondaryAction" />
        </td>
    </tr>
</table>
<div><asp:Label ID="lblStatus" runat="server" CssClass="SmithRequiredText" /></div>
<table width="100%">
    <tr><td>

        <asp:GridView ID="grdSubscriptions" runat="server" AutoGenerateColumns="false" Width="100%" AllowSorting="true"  GridLines="None"
            OnRowDataBound="grdSubscriptions_RowDataBound" OnRowCreated="grdSubscriptions_RowCreated" OnSorting="grdSubscriptions_Sorting"
            CssClass="scAdminGrid2"
            AlternatingRowStyle-CssClass="alt">
            <Columns>
                <asp:TemplateField ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:LinkButton ID="lkChangeSubscription1" runat="server" CausesValidation="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/edit.png") %>' /></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="SubscriptionID" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" Visible="false">
                    <ItemTemplate>
                        <asp:Label ID="lblSubscriptionID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"SubscriptionID") %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                <%--<asp:TemplateField HeaderText="TransID" SortExpression="TransID" ItemStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblTransID" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"TransID") %>' />
                    </ItemTemplate>
                </asp:TemplateField>--%>

                <asp:TemplateField HeaderText="ID" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" >
                    <ItemTemplate>
                        <asp:LinkButton ID="btnViewPayments" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "TransID") %>' OnClick="btnViewPayments_Click" ForeColor="Blue" Font-Underline="true" CausesValidation="false" CssClass="scNoWrap" />
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Date Created" SortExpression="CreateDate" ItemStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblCreateDate" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"CreateDate") %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                <%--<asp:TemplateField HeaderText="Billing Name" SortExpression="BillingName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblBillingName" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"BillingName") %>' />
                    </ItemTemplate>
                </asp:TemplateField>--%>

                <asp:TemplateField HeaderText="First Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblFirstName" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"FirstName") %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Last Name" SortExpression="LastName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblLastName" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"LastName") %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Product Name" SortExpression="ProductName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblProductName" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"ProductName") %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Pay Date" SortExpression="PayDate" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" Visible="false">
                    <ItemTemplate>
                        <asp:Label ID="lblPayDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"PayDate")) %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                    <asp:TemplateField HeaderText="Account Number" SortExpression="acctno" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblAcctNo" runat="server" Text='<%# Account((string)DataBinder.Eval(Container.DataItem,"AcctNo")) %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                <%--<asp:TemplateField HeaderText="Exp. Date" SortExpression="expdate" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblExpDate" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"exproute") %>' />
                    </ItemTemplate>
                </asp:TemplateField>--%>

                <asp:TemplateField HeaderText="Start Date" SortExpression="SubStartDate" ItemStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblSubStartDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"SubStartDate")) %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="End Date" SortExpression="SubEndDate" ItemStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblSubEndDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"SubEndDate")) %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Cancel Date" SortExpression="CancelDate" ItemStyle-CssClass="GridCells">
                    <ItemTemplate>
                            <asp:Label ID="lblCancelDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"CancelDate")) %>' />
                    </ItemTemplate>
                </asp:TemplateField>

                <%--<asp:TemplateField HeaderText="Status" SortExpression="Status" ItemStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblStatus" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Status") %>' />
                    </ItemTemplate>
                </asp:TemplateField>--%>

                <%--<asp:TemplateField HeaderText="Notes" SortExpression="Notes" ItemStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:Label ID="lblNotes" runat="server" Text='<%# DataBinder.Eval(Container.DataItem,"Notes") %>' />
                    </ItemTemplate>
                </asp:TemplateField>--%>

                <%--<asp:TemplateField ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:LinkButton ID="lkCancelSubscription1" runat="server" Text="Cancel" OnClick="lkCancelSubscription_Click" CausesValidation="false" CssClass="scMyAcctBtn" />
                    </ItemTemplate>
                </asp:TemplateField>--%>

                <asp:TemplateField ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                    <ItemTemplate>
                        <asp:LinkButton ID="lkCancelSubscription1" runat="server" Text="Cancel" OnClick="lkCancelSubscription_Click" OnClientClick="if (!confirm('Are you sure you want cancel?')) return false;" CausesValidation="false" CssClass="scMyAcctBtn" />
                    </ItemTemplate>
                </asp:TemplateField>

            </Columns>

             <EmptyDataTemplate>
                <asp:Label ID="Label1" runat="server" Text="No records found." />
            </EmptyDataTemplate>

        </asp:GridView>

    </td></tr>
    <tr>
        <td align="center" colspan="2">
            <asp:LinkButton ID="lbFirst" runat="server" OnClick="lbFirst_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/first.png") %>' /></asp:LinkButton>
            <asp:LinkButton ID="lbPrev" runat="server" OnClick="lbPrev_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/previous.png") %>' /></asp:LinkButton>
            <asp:Label ID="lblResult" runat="server" CssClass="SmithProdText"/>
            <asp:LinkButton ID="lbNext" runat="server" OnClick="lbNext_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/next.png") %>' /></asp:LinkButton>
            <asp:LinkButton ID="lbLast" runat="server" OnClick="lbLast_Click" CssClass="scMyAcctBtn"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/last.png") %>' /></asp:LinkButton>&nbsp;&nbsp;&nbsp;
             Records:&nbsp;
             <asp:DropDownList ID="ddlRecords" runat="server" Width="57px" OnSelectedIndexChanged="ddlRecords_SelectedIndexChanged" AutoPostBack="True">
                <asp:ListItem>10</asp:ListItem>
                <asp:ListItem>20</asp:ListItem>
                <asp:ListItem>50</asp:ListItem>
                <asp:ListItem>100</asp:ListItem>
            </asp:DropDownList>
            <%--<asp:Label ID="Label1" runat="server"/>--%>
        </td>
    </tr>
</table>

 <%--Payment History Section --%>
    <br />
    <asp:Label ID="lblPaymentHistory" runat="server" Text="Payment History" resourcekey="PaymentHistory" CssClass="Smith18Bold" Visible="false" />
    <br />
    <asp:GridView ID="grdPayHist" runat="server" AutoGenerateColumns="false" Width="100%" GridLines="None" CssClass="scAdminGrid2" AlternatingRowStyle-CssClass="alt">

        <Columns>
            <%--<asp:TemplateField HeaderText="Billing Name" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"BillingName") %>' />
                </ItemTemplate>
            </asp:TemplateField>--%>
            <asp:TemplateField HeaderText="Pay Method" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblPayType" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"PayType") %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Date" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblPayDate" runat="server" Text='<%# loadDate(DataBinder.Eval(Container.DataItem,"PayDate")) %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Amount" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <%--<asp:Label ID="lblAmount" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Amount","{0:c}") %>' Width="75px" />--%>
                    <asp:Label ID="lblAmount" runat="server" Text='<%# FormatCurrency(DataBinder.Eval(Container.DataItem, "Amount")) %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Status" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblStatus" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Status") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Auth Code" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblAuthCode" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"AuthCode") %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Notes" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblNotes" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Notes") %>' />
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
         <EmptyDataTemplate>
            No Payments Found.
        </EmptyDataTemplate>
    </asp:GridView>


<%--*** Change Subscription Popup ***--%>

<div id="dlgChangeSubscription" style="display:none">
    <table cellpadding="5" style="margin: 3ex 2ex;">
        <tr>
          <td class="SmithBold"><asp:Label ID="lblPopupTitle" runat="server" resourcekey="lblCurrentMembership" Text="Change From:" />&nbsp;&nbsp;</td>
          <td><asp:Label ID="lblPopopTitleSubFrom" runat="server" /></td>
        </tr>
        <tr id="tr1" runat="server">
            <td class="SmithBold"><asp:Label ID="Label2" runat="server" resourcekey="lblChangeSubTo" Text="Change To:" /></td>
            <td><asp:DropDownList ID="ddlProduct" runat="server" AppendDataBoundItems="true" /></td>
        </tr>
        <tr>
         <td colspan="2"><asp:RequiredFieldValidator ID="rfvProduct" runat="server" ControlToValidate="ddlProduct" InitialValue="0" Display="Dynamic" ErrorMessage="Please Select Membership"/></td>
        </tr>
        <tr>
            <td></td>
            <td><asp:LinkButton ID="btnChangeMembership" runat="server" Text="Change Membership"  OnClientClick="ChangeMembership()" CausesValidation="false" CssClass="dnnPrimaryAction"/></td>
        </tr>
    </table>
</div>

<asp:HiddenField ID="hdRegTabID" runat="server" />
<asp:HiddenField ID="hdSubscriptionID" runat="server" />