﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AuthCIM.ascx.cs" Inherits="Smith.DNN.Modules.Registration.AuthCIM" %>

<asp:Panel runat="server" ID="pnlAuthCIM" Visible="false">
    <style>
        #iframe_holder {
            min-height: 510px;
            background: url('<%= AuthCIMLoadingGif %>') top center no-repeat;
        }
        #manage_payments {
            width: 100%;
            height: 510px;
            border: 0;
            overflow: hidden;
        }
        @media screen and (max-width: 767px) {
            #manage_payments {
                height: 800px;
            }
        }
    </style>
    <div id="iframe_holder">
        <iframe id="manage_payments" name="manage_payments" frameborder="0" scrolling="no" style="visibility: hidden;"></iframe>
    </div>
    <script>
        var parseQueryString = function (str) {
            var vars = [];
            var arr = str.split('&');
            var pair;
            for (var i = 0; i < arr.length; i++) {
                pair = arr[i].split('=');
                vars[pair[0]] = unescape(pair[1]);
            }
            return vars;
        };
        window.CommunicationHandler = {};
        CommunicationHandler.onReceiveCommunication = function (arg1) {
            var params = parseQueryString(arg1.qstr);
            switch (params['action']) {
                case 'resizeWindow':
                    $('#manage_payments').css('visibility', '').css('min-height', params['height'] + 'px');
                    break;
                case 'successfulSave':
                    //$('#iframe_holder').hide();
                    break;
                case 'cancel':
                    break;
            }
        }
        $(function () {
            $('#manage_payments').load(function() {
                $('#manage_payments').css('visibility', '');
            });
            $('<form>', {
                id: 'frm_auth_cim',
                action: '<%= AuthCIMUrl %>',
                method: 'post',
                target: 'manage_payments'
            }).append($('<input>', {
                type: 'hidden',
                name: 'token',
                value: '<%= AuthCIMToken %>'
            })).appendTo('body').submit().remove();
        });
    </script>
</asp:Panel>