<%@ Control Language="C#" AutoEventWireup="true" Inherits="Smith.DNN.Modules.Registration.EmailTemplate" Codebehind="EmailTemplate.ascx.cs" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>

<%--Admin Menu--%>
<asp:PlaceHolder ID="phAdminMenu" runat="server" />
<br />

<asp:MultiView runat="server" ID="mvMain">

  <asp:View ID="viewEditTemplate" runat="Server">

   <div class="left"><h2>Manage Email Templates</h2></div>
    
<table width="100%">
    <tr><td><asp:Label ID="lblStatus" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" /></td></tr>
    <tr><td align="left">
        <asp:LinkButton ID="btnShowAddScreen" runat="server" onclick="btnShowAddScreen_Click" Text="Add Email Template" CausesValidation="false" CssClass="dnnPrimaryAction" />
    </td></tr>
    <tr>
        <td>
            <asp:GridView ID="grdEmailTemplates" AutoGenerateColumns="false" runat="server" GridLines="None"
                CssClass="scAdminGrid2"
                AlternatingRowStyle-CssClass="alt">
           
                <Columns>
                    <asp:TemplateField ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:LinkButton ID="lkEdit" runat="server" OnClick="lkEdit_Click" CausesValidation="false"><img src='<%= ResolveUrl("~/DesktopModules/SmithRegistration/Images/edit.png") %>' /></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="TemplateID" Visible="False">
                        <ItemTemplate>
                            <asp:Label ID="lblTemplateID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"TemplateID") %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="ModuleID" Visible="False">
                        <ItemTemplate>
                            <asp:Label ID="lblModuleID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ModuleID") %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Name" ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Left" HeaderStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Name") %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Subject" ItemStyle-CssClass="GridCells" HeaderStyle-Width="400px" ItemStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Left" HeaderStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblSubject" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Subject") %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                     
                </Columns>
            </asp:GridView>
        </td>
    </tr>
    <tr><td>&nbsp;</td></tr>
</table>
   
</asp:View>

<asp:View ID="viewAddTemplate" runat="server">

<h2><asp:Label ID="lblEditorTitle" runat="server" Text="Add Email Template" /></h2>

<table width="100%" border="0">
    <tr>
        <td style="width:15%; white-space:nowrap;">Name:</td>
        <td>
            <asp:DropDownList ID="ddlTemplateName" runat="server" width="100%" CssClass="tLimitSize250">
               <asp:ListItem Value="User Email Template">User Email Template</asp:ListItem>
               <asp:ListItem Value="Admin Email Template">Admin Email Template</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>
    <tr><td colspan="2">&nbsp;</td></tr>
    <tr>
        <td style="width:15%; white-space:nowrap;">Subject:</td>
        <td>
            <asp:TextBox ID="txtTemplateSubject" runat="server" width="95%" CssClass="tLimitSize450"/>
        </td>
    </tr>
    <tr><td colspan="2">&nbsp;</td></tr>
    <tr>
        <td colspan="2" style="text-align:left;">Email Template:</td>
        <td >&nbsp;</td>
    </tr>
    <tr>
        <td colspan="2" >
            <%--<dnn:TextEditor ID="teTemplate" runat="server" Width="550" TextRenderMode="Raw" HtmlEncode="False" DefaultMode="Rich" Height="350" ChooseMode="True" ChooseRender="False" />--%>
            <dnn:TextEditor ID="teTemplate" runat="server" TextRenderMode="Raw" HtmlEncode="False" DefaultMode="Rich" Height="500" ChooseMode="True" ChooseRender="False" Width="100%"/>
        </td>
    </tr>

    <tr><td class="SmithRowHeight24" colspan="2"><asp:hyperlink id="HLPrint" runat="server" target="_blank" ImageUrl="~/DesktopModules/SmithRegistration/images/email-token-help.png"  NavigateUrl="~/DesktopModules/SmithRegistration/Help/EmailTokenHelp.htm">help</asp:hyperlink></td></tr>
    
</table>

  <ul class="dnnActions dnnClear">
        <li><asp:LinkButton ID="btnSubmit" runat="server" OnClick="btnSubmit_Click" CssClass="dnnPrimaryAction" Text="Submit" /></li>
        <li><asp:LinkButton ID="btnCancel" runat="server" OnClick="btnCancel_Click" CssClass="dnnSecondaryAction" Text="Cancel" CausesValidation="false" /></li>
    </ul>

</asp:View>

</asp:MultiView>

