<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ManageShipTo.ascx.cs" Inherits="Smith.DNN.Modules.Registration.ManageShipTo" %>

<%--<table id="ButtonRow" runat="server" width="100%"><tr><td align="left">
    <asp:Button ID="btnBack" runat="server" Text="Back" Width="81px" onclick="btnBack_Click" CausesValidation="false" CssClass="" />&nbsp;
    <asp:Button ID="btnEditAddressNav" runat="server" Text="Manage Address Book" CausesValidation="false" onclick="btnEditAddressNav_Click" CssClass="" />&nbsp; 
    <asp:Button ID="btnAddAddressNav" runat="server" Text="Add Address" CausesValidation="false" onclick="btnAddAddressNav_Click" CssClass="" />
<hr />
</td></tr></table>
<div class="center"><asp:Label ID="lblMessage" runat="server" CssClass="SmithBlueMsgLarge" /></div>--%>

<asp:MultiView runat="server" ID="mvMain">

  <asp:View ID="viewEditAddress" runat="Server">

   <div class="left"><h2>Manage Ship To Addresses</h2></div>
   <div><asp:Label ID="lblMessage" runat="server" CssClass="dnnFormMessage dnnFormSuccess" Text="Saved Successfully" Visible="false" /></div>
    
<table width="100%">
      <tr><td></td></tr>
      <tr><td align="left">
            <asp:LinkButton ID="btnBack" runat="server" OnClick="btnBack_Click" CssClass="dnnPrimaryAction" Text="Back" CausesValidation="false" />&nbsp;&nbsp;
            <asp:LinkButton CausesValidation="false" ID="btnShowAddShipToScreen" runat="server" onclick="btnShowAddShipToScreen_Click" Text="Add Ship To Address" CssClass="dnnPrimaryAction" />
      </td></tr>
      <tr><td></td></tr>

      <tr><td>
        <asp:GridView ID="grdShipTo" runat="server" AutoGenerateColumns="false" OnRowDeleting="grdShipTo_RowDeleting" DataKeyNames="ShipToID" GridLines="None"
            CssClass="scAdminGrid2"
            AlternatingRowStyle-CssClass="alt">
                
                <EmptyDataTemplate>
                    <asp:Label ID="lblNoRecordsMsg" runat="server" Text="No records added."  />
                </EmptyDataTemplate>
                <Columns>
                     <asp:TemplateField ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:LinkButton CausesValidation="false" ID="lkUpdate" runat="server" Text="Edit" OnClick="lkUpdate_Edit"></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="ShipToID"  Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblShipToID" runat="server" Text='<%#Eval("ShipToID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
    
                    <asp:TemplateField HeaderText="First Name" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblFirstName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.firstname")) %>'> </asp:Label>
                        </ItemTemplate>    
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Last Name" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblLastName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.lastname")) %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Address" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblAddress1" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.address1")) %>' Width="150px"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="Address" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblAddress2" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.address2")) %>' Width="80px"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="City" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblCity" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.city")) %>'></asp:Label>
                        </ItemTemplate>  
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="State" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblState" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.state")) %>' Width="5px"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Country" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblCountry" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.country")) %>' Width="5px"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Zip" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblZip" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.zip")) %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Email" Visible="false" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblEmail" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.email")) %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                        
                    <asp:CommandField ShowDeleteButton="true" ItemStyle-CssClass="GridCells"/>
                
                </Columns>
            </asp:GridView>
     </td></tr>
</table>

</asp:View>

 <asp:View ID="viewAddAddress" runat="server">

<table class="SmithProdText">
    <col width="20%" />
    <col width="60%" />

    <tr><td align="left" colspan="2"><h2><asp:Label ID="lblAddShipTo" runat="server" Text="Add Ship To Address"/></h2></td></tr>
    <tr><td></td></tr>

    <tr>
        <td align="right" nowrap="nowrap" class="SmithProdText"><%= Localization.GetString("txtFirst_Name.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtFirstName" TabIndex="4" runat="server" MaxLength="50" Width="200px" AutoCompleteType="Disabled" CssClass="NormalTextBox" ValidationGroup="ShipTo"/>
            <asp:RequiredFieldValidator ID="rfvFirstName" runat="server" ControlToValidate="txtFirstName" Display="Dynamic" ErrorMessage="*Required" CssClass="SmithProdText" ValidationGroup="ShipTo" />
       </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td align="right" nowrap="nowrap" class="SmithProdText"><%= Localization.GetString("txtLast_Name.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtLastName" TabIndex="5" runat="server" MaxLength="50" CssClass="NormalTextBox" Width="200px" ValidationGroup="ShipTo"/>
            <asp:RequiredFieldValidator ID="rfvLastName" runat="server" ControlToValidate="txtLastName" Display="Dynamic" ErrorMessage="*Required" CssClass="SmithProdText" ValidationGroup="ShipTo"/>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td align="right" class="SmithProdText"><%= Localization.GetString("txtAddress_1.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtAddress" TabIndex="6" runat="server" MaxLength="100" Width="200px" CssClass="NormalTextBox" ValidationGroup="ShipTo"/>
            <asp:RequiredFieldValidator ID="rfvAddress" runat="server" Display="Dynamic" ControlToValidate="txtAddress" CssClass="SmithProdText" ErrorMessage="*Required" ValidationGroup="ShipTo"/>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td align="right" class="SmithProdText"><%= Localization.GetString("txtAddress_2.Text", LocalResourceFile)%>&nbsp;&nbsp; </td>
        <td align="left">
            <asp:TextBox ID="txtAddress2" TabIndex="7" runat="server" MaxLength="100" Width="200px" CssClass="NormalTextBox"/>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td align="right" class="SmithProdText"><%= Localization.GetString("txtCity.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtCity" TabIndex="8" runat="server" MaxLength="50" CssClass="NormalTextBox" Width="200px" ValidationGroup="ShipTo"/>
            <asp:RequiredFieldValidator ID="rfvCity" runat="server" Display="Dynamic" ControlToValidate="txtCity" CssClass="SmithProdText" ErrorMessage="*Required" ValidationGroup="ShipTo"/>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td align="right" class="SmithProdText"><%= Localization.GetString("txtCountry.Text", LocalResourceFile)%>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:DropDownList ID="ddlCountry" Width="200px"  TabIndex="9" runat="server" OnSelectedIndexChanged="ddlCountry_SelectedIndexChanged" AutoPostBack="True" AppendDataBoundItems="true" ValidationGroup="ShipTo">
                <asp:ListItem Value="0">-Select Country-</asp:ListItem>
                </asp:DropDownList>
            <asp:RequiredFieldValidator ID="rfvddlCountry" runat="server" ControlToValidate="ddlCountry" InitialValue="0" Height="18px" Width="56px" Display="Dynamic" CssClass="SmithProdText" ErrorMessage="*Required" ValidationGroup="ShipTo"/>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td align="right" class="SmithProdText"><%= Localization.GetString("txtState_Region.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left" valign="top">
            <asp:DropDownList ID="ddlState" TabIndex="10" runat="server" Width="200px" />                
            <asp:TextBox ID="txtState" runat="server" Visible="false" Width="200px" CssClass="NormalTextBox" TabIndex="10" MaxLength="50" ValidationGroup="ShipTo"/>
            <asp:RequiredFieldValidator ID="rfvState" Display="Dynamic" runat="server" ControlToValidate="ddlState" InitialValue="0" CssClass="SmithProdText" ErrorMessage="*Required" ValidationGroup="ShipTo"/>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td align="right" class="SmithProdText"><%= Localization.GetString("txtAddress_2.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtZip" TabIndex="11" runat="server" MaxLength="10" Width="200px" Columns="10" CssClass="NormalTextBox" ValidationGroup="ShipTo"/>
            <asp:RequiredFieldValidator ID="rfvZip" Display="Dynamic" runat="server" ControlToValidate="txtZip" CssClass="SmithProdText" ErrorMessage="*Required" ValidationGroup="ShipTo"/>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td align="right" class="SmithProdText"><%= Localization.GetString("txtZip_Code.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtEmail" TabIndex="12" runat="server" MaxLength="50" Width="200px" CssClass="NormalTextBox" ValidationGroup="ShipTo"/>
            <asp:RequiredFieldValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail" Display="Dynamic" CssClass="SmithProdText" ErrorMessage="*Required" ValidationGroup="ShipTo" />
            <asp:RegularExpressionValidator ID="revEmail" runat="server" ControlToValidate="txtEmail" Display="Dynamic"
                    ErrorMessage="Invalid Email Address." ValidationExpression="^[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]\.[a-zA-Z][a-zA-Z\.]*[a-zA-Z]$" ValidationGroup="ShipTo" />
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td nowrap="nowrap" align="right" class="SmithProdText"><%= Localization.GetString("txtPrimary_Phone.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtPriPhone" TabIndex="13" runat="server" MaxLength="30" Columns="15" Width="200px" CssClass="NormalTextBox" ValidationGroup="ShipTo"/>
            <asp:RequiredFieldValidator ID="rfvPriPhone" runat="server" ControlToValidate="txtPriPhone" Display="Dynamic" CssClass="SmithProdText" ErrorMessage="*Required" ValidationGroup="ShipTo"/>
           <%-- <asp:RegularExpressionValidator ID="rfvPhone1" ValidationExpression="^([0-9\(\)\/\+ \-]*)$" runat="server" ErrorMessage="Enter a valid phone"/>--%>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td nowrap="nowrap" align="right" class="SmithProdText"><%= Localization.GetString("txtSecondary_Phone.Text", LocalResourceFile)%>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtSecPhone" TabIndex="14" runat="server" MaxLength="30" Columns="15" Width="200px" CssClass="NormalTextBox"/>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td nowrap="nowrap" align="right" class="SmithProdText"><%= Localization.GetString("lblShipMethods.Text", LocalResourceFile)%>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtShipMethod" TabIndex="16" runat="server" Width="200px" CssClass="NormalTextBox"/>
        </td>
    </tr>
    
    <%--<tr align="left">
        <td><asp:Button ID="btnCancel" runat="server" onclick="btnCancel_Click" Text="Cancel" CausesValidation="false"/></td>
        <td><asp:Button runat="server" ID="btnAddShipTo" Text="Add Ship To Address" onclick="btnAddShipTo_Click" /></td>  
    </tr>--%>

     <tr><td></td></tr>
    
</table>

<ul class="dnnActions dnnClear">
    <li><asp:LinkButton ID="btnAddShipTo" runat="server" OnClick="btnAddShipTo_Click" CssClass="dnnPrimaryAction" Text="Add Ship To Address" ValidationGroup="ShipTo" /></li>
    <li><asp:LinkButton ID="btnCancel" runat="server" OnClick="btnCancel_Click" CssClass="dnnSecondaryAction" Text="Cancel" CausesValidation="false" /></li>
</ul>

</asp:View>

</asp:MultiView>


<asp:HiddenField ID="hdReturnPage" runat="server" />
