<%@ Control Language="C#" %>

<%--Category Description Group Header--%>
<div runat="server" id="trCatDescInline" visible="false" class="scNewCat">
    <asp:Label runat="server" ID="lblCatDescInline" Text='<%# Eval("CategoryName") %>' />
</div>

<asp:Literal runat="server" ID="ltStartCategoryProducts" Visible="false"></asp:Literal>

<asp:Label ID="lblCatDesc" runat="server" Visible="false" />

<div id="inner-box">
    <table runat="server" id="tblProduct" class="products" style="width: 100%; height: 100%">
        <tr>
            <td class="prodCell">
                <asp:Label ID="lblProductName" runat="server" Text='<%# Eval("ProductName") %>' CssClass="SmithLargeText" />
            </td>
        </tr>
        <tr class="SmithRowAlignBottom">
            <td class="prodCell2">
                <br />
                <span class="SmithLargeText">Reg. Price:</span>&nbsp;
                <asp:Label runat="server" ID="lblPrice" CssClass="SmithLargeText" />
                <asp:TextBox runat="server" ID="txtPrice" Width="50px" MaxLength="8" Visible="false" />
                &nbsp;
              <asp:Label ID="lblPriceUnits" runat="server" Text='<% #Eval("PriceUnits")%>' CssClass="SmithProdText" />
            </td>
        </tr>
        <tr id="trSaleDiscount" runat="server" visible="false">
            <td class="prodCell2">
                <asp:Label ID="lblSaleDiscount" runat="server" CssClass="SmithLargeText" />
            </td>
        </tr>
        <tr id="trDiscountAmountsByRoles" runat="server" visible="false">
            <td class="prodCell2">
                <asp:Label ID="lblDiscountAmountsByRoles" runat="server" CssClass="SmithLargeText" />
            </td>
        </tr>
        <tr id="trDiscountPrice" runat="server" visible="false">
            <td class="prodCell2">
                <span class="SmithLargeText">Your Price:</span>&nbsp;
              <asp:Label ID="lblDiscountPrice" runat="server" CssClass="SmithLargeText" />
            </td>
        </tr>
        <tr id="trQty" runat="server" visible="false">
            <td class="prodCell2 SmithProdText">
                <asp:Label runat="server" ID="lblQtyLabel" resourcekey="lblQtyLabel" />
                <asp:TextBox ID="txtQuantity" Width="50px" MaxLength="8" runat="server" Text="1" />
            </td>
        </tr>
        <tr id="trRecurMsg" runat="server" visible="false">
            <td class="prodCell2 SmithProdName">
                <asp:Label ID="Label2" runat="server" Text='<%# Eval("RecurMsg") %>' />
            </td>
        </tr>
        <tr>
            <td class="prodCell2 prodCell4">
                <asp:LinkButton ID="btnSelect" runat="server" resourcekey="btnSelect" CommandName="SelectProduct" CausesValidation="false" CssClass="dnnPrimaryAction" />

                <div runat="server" Visible='<%# Convert.ToInt32(Eval("OrderedCount")) > 0 %>' style="color: #bc2131;">
                    <br />
                    <asp:Label ID="lblProductOrdered" runat="server" resourcekey="MsgProductOrdered"></asp:Label>
                </div>

            </td>
        </tr>
        <tr>
            <td class="prodCell2 prodCell3 SmithProdName">
                <asp:Label ID="Label1" runat="server" Text='<%# Eval("Description") %>' />
            </td>
        </tr>
    </table>
</div>

<%--** Do not modify anything below this line **--%>
<asp:Label ID="hndProductID" runat="server" Text='<% #Eval("ProductID")%>' Visible="false" />
<asp:Label ID="lblShowQty" runat="server" Text='<% #Eval("ShowQuantity")%>' Visible="false" />
<asp:Label ID="lblUserEnteredAmount" runat="server" Text='<% #Eval("UserEnteredAmount")%>' Visible="false" />
<asp:Literal runat="server" ID="ltEndCategoryProducts" Visible="false"></asp:Literal>