<%@ Control Language="C#" %>

<%--Category Description Group Header--%>
<h2 runat="server" id="trCatDescInline" class="dnnFormSectionHead" visible="false">
    <a href="#" runat="server" id="lblCatDescInline">
        <span><%# Eval("CategoryName") %></span>
    </a>
</h2>

<asp:Literal runat="server" ID="ltStartCategoryProducts" Visible="false"></asp:Literal>

<asp:Label ID="lblCatDesc" runat="server" Visible="false" />

<table runat="server" id="tblProduct" class="table rc-single-column" style="width: 100%; height: 100%; margin-bottom: 0;">
    <tbody>
        <tr style="text-align: left;">
            <td style="width: 20%; min-width: 70px;">
                <img runat="server" id="imgProductImage" alt='<%# Eval("ThumbImage") %>' class="img-responsive" src="~/DesktopModules/SmithRegistration/Images/No_Picture_Small.jpg" />
            </td>
            <td style="width: 30%;">
                <h4><%# Eval("ProductName") %></h4>
                <p><%# Eval("Description") %></p>
            </td>
            <td style="width: 35%;">
                <div>
                    <span>Reg. Price:</span>&nbsp;
                    <asp:Label runat="server" ID="lblPrice" />
                    <asp:TextBox runat="server" ID="txtPrice" Width="50px" MaxLength="8" Visible="false" />
                    &nbsp;
                    <asp:Label ID="lblPriceUnits" runat="server" Text='<% #Eval("PriceUnits")%>' />
                </div>
                <div id="trSaleDiscount" runat="server" visible="false">
                    <asp:Label ID="lblSaleDiscount" runat="server" />
                </div>
                <div id="trDiscountAmountsByRoles" runat="server" visible="false">
                    <asp:Label ID="lblDiscountAmountsByRoles" runat="server" />
                </div>
                <div id="trDiscountPrice" runat="server" visible="false">
                    <span class="SmithBold">Your Price:</span>&nbsp;
                    <asp:Label ID="lblDiscountPrice" runat="server" CssClass="SmithBold" />
                </div>
                <div id="trQty" runat="server" visible="false">
                    <asp:Label runat="server" ID="lblQtyLabel" resourcekey="lblQtyLabel" />
                    <asp:TextBox ID="txtQuantity" Width="50px" MaxLength="8" runat="server" Text="1" />
                </div>
                <div id="trRecurMsg" runat="server" visible="false">
                    <asp:Label ID="Label2" runat="server" Text='<%# Eval("RecurMsg") %>' />
                </div>
            </td>
            <td style="width: 15%; text-align: center;">
                <asp:LinkButton ID="btnSelect" runat="server" resourcekey="btnSelect" CommandName="SelectProduct" CausesValidation="false" CssClass="dnnSecondaryAction btn mr-xs mb-sm" />

                <div runat="server" Visible='<%# Convert.ToInt32(Eval("OrderedCount")) > 0 %>' style="color: #bc2131;">
                    <br />
                    <asp:Label ID="lblProductOrdered" runat="server" resourcekey="MsgProductOrdered"></asp:Label>
                </div>

            </td>
        </tr>
    </tbody>
</table>

<%--** Do not modify anything below this line **--%>
<asp:Label ID="hndProductID" runat="server" Text='<% #Eval("ProductID")%>' Visible="false" />
<asp:Label ID="lblShowQty" runat="server" Text='<% #Eval("ShowQuantity")%>' Visible="false" />
<asp:Label ID="lblUserEnteredAmount" runat="server" Text='<% #Eval("UserEnteredAmount")%>' Visible="false" />
<asp:Literal runat="server" ID="ltEndCategoryProducts" Visible="false"></asp:Literal>